Subject: Re: [OPSAWG] draft-ietf-opsawg-oam-overview status

From: Benoit Claise <[email-masked]>
Date: Thu, 28 Nov 2013 17:05:24 +0100

Dear authors,

As you know, the IESG sent this document back to the WG (see 
http://www.ietf.org/mail-archive/web/opsawg/current/msg02931.html).
I asked the authors to make sure that the feedback and concerns received 
so far were addressed. A new version has been posted 
<http://tools.ietf.org/html/draft-ietf-opsawg-oam-overview-10>. Good!

Below is the feedback sent by Stewart Bryant on the new version, 
forwarded with permission to the WG: Stewart has been involved in OAM 
for some time now, is the routing AD, and was the DISCUSS holder when 
the draft was reviewed by the IESG in 2011). Note that the DISCUSS is 
gone now, since the document is back in the WG.

I've been reviewing the new draft version, this email below, and had two 
conf. calls with Stewart today. Below is the outcome of our discussion.

The draft improved. For example, I like the fact that the target 
audience is now in the abstract.
However, one important point brought up by Stewart is: why audience do 
you target? Is the draft content useful for that audience?
It seems that initially, it was the silicon designer. It's apparently 
not the case any longer.
You list

    The target audience of this document includes network equipment
    vendors, network operators and standard development organizations,
    and can be used as an index to some of the main data plane OAM tools
    defined in the IETF.

We believe that this draft is not complete enough for the network 
equipment vendor audience. It needs way more than this overview. Also 
you focus _only _on the data plane OAM.
Regarding the network operators, your table in 4.10 might be a good 
output. However, it's buried into a subsection.
Regarding "an index to some of the main data plane OAM tools defined in 
the IETF", the table in section 3.9 is buried into a subsection.
Maybe you want to highlight those tables with they own section.

Also, while the abstract and title mention "an index to some of the main 
_data plane_ OAM tools defined in the IETF" , the data plane adjective 
really limits the scope of what you're investigating. I only understood 
its implications way later in the draft. For example that FRR, RDI 
(remote defect indication), etc. were not included. This should be 
stressed upfront.

This point points back to Stewart's point: think about your target 
audience and evaluate if the content is useful for the readers... Note 
that this is now a WG document, so we must get the OPSAWG community 
feedback.

Also, Stewart has some good points below: path verification versus peer 
authentication, multipoint to point, etc.

Regarding the WIKI, I'm actually in favor a collecting this information 
in a RFC. OAM has been growing over the years, up to a point where I'm 
not sure what it does NOT contain (FCAPS). So doing a one-time "overview 
of OAM tools" makes sense to me.

Regards, Benoit

>
> Firstly, I should say I have been reviewing this work from
> the point of view of someone who was on point when we designed
> the MPLS-TP OAM, where we took object lesson after object lesson
> on the scope and purpose of OAM from the ITU-T.
>
> I will say that the project you have embarked on is a very
> difficult and challenging one, since this subject has
> enormous breath and depth.
>
> In one communication earlier the stated purpose was to provide
> an overview from the point of view of a silicon designer. I do
> not think you get close to that.
>
> My view is still that you fail to ruthlessly identify the
> target audience and the single mindedly deliver to that audience.
>
> The text is far too detailed in places for the broad brush overview
> and lacks the rigor needed for a deeper academic introduction.
>
> If your goal is the former, I think you need to split the work
> between an RFC and a Wiki, and delete a lot of the detail.
>
> If your goal is the latter, then I think you need to set
> up a well defined, intellectually rigerous  framework for OAM,
> and then show how well, or how badly the solutions map to it.
>
> If your original goal is to talk about implementation, I would
> have expected a lot of discussion on stack depth, queue and
> process structure, performance bottlenecks, timestamping etc.
> Indeed even in an introduction there needs to be some text on those
> aspects of the problem.
>
> Now if I am the only AD that has any concerns about publishing
> this text as an RFC, I am prepared to move to abstain and you
> can publish this as it is.
>
> However I think that Benoit needs to understand that we have
> sufficient real support in the IETF for the text amongst the
> various OAM design teams that look after each protocol suite
> discussed in the text. If there is not support, perhaps this
> should go to the ISE as a personal statement on the subject.
>
> It might be a good idea if Benoit and I discussed this
> on the telephone tomorrow.
>
> - Stewart
>
>
>
>
> Abstract
>
>    Operations, Administration, and Maintenance (OAM) is a general term
>    that refers to a toolset for fault detection and isolation, and for
>    performance measurement.
>
> SB> No In MPLS-TP (which is in scope it does more, it is also a devolved
> SB> control plane)
>
>    Over the years various OAM tools have been
>    defined for various layers in the protocol stack.
>
>    This document summarizes some of the data plane OAM tools defined in
>    the IETF in the context of IP unicast, MPLS, pseudowires, MPLS for
>    the transport profile (MPLS-TP), and TRILL.
>
> SB> Since MPLS-TP is a subset of MPLS the ordering of the list is a 
> little curious
>
>
>    The target audience of this document includes network equipment
>    vendors, network operators and standard development organizations,
>    and can be used as an index to some of the main data plane OAM tools
>    defined in the IETF.
>
> ======
>
>
> 1. Introduction
>
>    OAM is a general term that refers to a toolset for detecting,
>    isolating and reporting failures and for monitoring the network
>    performance.
>
> SB> See earlier comment
>
>    There are several different interpretations to the "OAM" acronym.
>    This document refers to Operations, Administration and Maintenance,
>    as recommended in Section 3 of [RFC6291].
>
>    This document summarizes some of the data plane OAM tools defined in
>    the IETF in the context of IP unicast, MPLS, pseudowires, MPLS for
>    the transport profile (MPLS-TP), and TRILL.
>
> SB> See earlier comment
>
>    This document focuses on data plane OAM tools. Hence, control and
>    management aspects of OAM are outside the scope of this document.
>    This document focuses on tools for detecting and isolating failures
>    and for performance monitoring. Network repair functions such as Fast
>    Reroute (FRR) and protection switching, which are often triggered by
>    OAM protocols, are out of the scope of this document.
>
> SB> You need to be careful with the definition of OAM - In MPLS-TP (which
> SB> you define as in scope) these are considered OAM functions.
>
> 1.1. Background
>
>    OAM was originally used in traditional communication technologies
>    such as E1 and T1, evolving into PDH and then later in SONET/SDH. ATM
>    was probably the first technology to include inherent OAM support
>    from day one, while in other technologies OAM was typically defined
>    in an ad hoc manner after the technology was already defined and
>    deployed. Packet-based networks were traditionally considered
>    unreliable and best-effort, but as packet-based networks evolved,
>    they have become the common transport for both data and telephony,
>    replacing traditional transport protocols. Consequently, packet-based
>    networks were expected to provide a similar "carrier grade"
>    experience, and specifically to support OAM.
>
>    As typical networks have a multi-layer architecture, the set of OAM
>    protocols similarly take a multi-layer structure; each layer has its
>    own OAM protocols. Moreover, OAM can be used at different levels of
>    hierarchy in the network to form a multi-layer OAM solution, as shown
>    in the example in Figure 1.
>
>    Figure 1 illustrates a network in which IP traffic between two
>    customer edges is transported over an MPLS provider network. MPLS OAM
>    is used at the provider-level for monitoring the connection between
>    the two provider edges, while IP OAM is used at the customer-level
>    for monitoring the end-to-end connection between the two customer
>    edges.
>
>
>
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                 [Page 4]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>            |<-------------- Customer-level OAM -------------->|
>                  IP OAM (Ping, Traceroute, OWAMP, TWAMP)
>
>                         |<- Provider-level OAM ->|
>                             MPLS OAM (LSP Ping)
>
>      +-----+       +----+ +----+       +-----+
>      |     |       |    |========================| |       |     |
>      |     |-------|    |          MPLS          | |-------|     |
>      |     |  IP   |    |                        | |  IP   |     |
>      +-----+       +----+ +----+       +-----+
>      Customer     Provider Provider      Customer
>        Edge         Edge Edge          Edge
>
>                      Figure 1 Example: Multi-layer OAM
>
> 1.2. Target Audience
>
>    The target audience of this document includes:
>
>    o Standard development organizations - both IETF working groups and
>       non-IETF organizations can benefit from this document when
>       designing new OAM protocols, or when looking to reuse existing OAM
>       tools for new technologies.
>
> SB> Who do you have in mind outside the IETF?
> SB> There are a lot of OAM expert groups out there.
>
>    o Network equipment vendors and network operators - can use this
>       document as an index to some of the common IETF OAM tools.
>
>    It should be noted that this document is not necessarily suitable for
>    beginners without any background in OAM.
>
> 1.3. OAM-related Work in the IETF
>
>    This memo provides an overview of the different sets of OAM tools
>    defined by the IETF. The set of OAM tools described in this memo are
>    applicable to IP unicast, MPLS, pseudowires, MPLS for the transport
>    profile (MPLS-TP), and TRILL. While OAM tools that are applicable to
>    other technologies exist, they are beyond the scope of this memo.
>
>    This document focuses on IETF documents that have been published as
>    RFCs, while other ongoing OAM-related work is outside the scope.
>
>    The IETF has defined OAM protocols and tools in several different
>    contexts. We roughly categorize these efforts into a few sets of OAM-
>    related RFCs, listed in Table 1. Each category defines a logically-
>
>
> Mizrahi, et al.        Expires April 21, 2014                 [Page 5]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    coupled set of RFCs, although the sets are in some cases intertwined
>    by common tools and protocols.
>
>    The discussion in this document is ordered according to these
>    categories.
>
>                      +--------------+------------+
>                      | Category     | Transport  |
>                      |              | Technology |
>                      +--------------+------------+
>                      |IP Ping       | IPv4/IPv6  |
>                      +--------------+------------+
>                      |IP Traceroute | IPv4/IPv6  |
>                      +--------------+------------+
>                      |BFD           | generic    |
>                      +--------------+------------+
>                      |MPLS OAM      | MPLS       |
>                      +--------------+------------+
>                      |MPLS-TP OAM   | MPLS-TP    |
>                      +--------------+------------+
>                      |Pseudowire OAM| Pseudowires|
>                      +--------------+------------+
>                      |OWAMP and     | IPv4/IPv6  |
>                      |TWAMP         |            |
>                      +--------------+------------+
>                      |TRILL OAM     | TRILL      |
>                      +--------------+------------+
>               Table 1 Categories of OAM-related IETF Documents
>
> SB> Categories implies taxonomy, and those are not really
> SB> taxonomy classes. Those are really IETF work packages.
>
> 1.4. Focusing on Data Plane OAM Tools
>
>    OAM tools may, and quite often do, work in conjunction with a control
>    plane and/or management plane.  At the data plane, OAM provides
>    instrumentation tools.
>
> SB> That is your definition of the purpose, not for example the
> SB> transport world's definition.
> SB> You might also consider implicit OAM tools such as router hellos
>
>    OAM tools often use control plane functions,
>    e.g., to initialize OAM sessions and to exchange various parameters.
>    The OAM tools communicate with the management plane to raise alarms,
>    and often OAM tools may be activated by the management (as well as by
>    the control plane), e.g. to locate and localize problems.
>
>    The considerations of the control plane maintenance tools and the
>    functionality of the management plane are out of scope for this
>    document, which concentrates on presenting the data plane tools that
>    are used for OAM. Network repair functions such as Fast Reroute (FRR)
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                 [Page 6]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    and protection switching, which are often triggered by OAM protocols,
>    are also out of the scope of this document.
>
> SB> I don't mind what you call your function, but this exclusion
> SB> will not class the functionality as OAM within the shared IETF-ITU
> SB> definition of OAM in the transport technology space.
>
>    Since OAM protocols are used for monitoring the data plane, it is
>    imperative for OAM tools to be capable of testing the actual data
>    plane in as much accuracy as possible. Thus, it is important to
>    enforce fate-sharing between OAM traffic that monitors the data plane
>    and the data plane traffic it monitors.
>
> 2. Terminology
>
> 2.1. Abbreviations
>
>    ACH    Associated Channel Header
>
>    AIS    Alarm Indication Signal
>
>    ATM    Asynchronous Transfer Mode
>
>    BFD    Bidirectional Forwarding Detection
>
>    CC     Continuity Check
>
>    CV     Connectivity Verification
>
>    DM     Delay Measurement
>
>    ECMP   Equal Cost Multiple Paths
>
>    FEC    Forwarding Equivalence Class
>
>    FRR    Fast Reroute
>
>    G-ACh   Generic Associated Channel
>
>    GAL    Generic Associated Label
>
>    ICMP   Internet Control Message Protocol
>
>    L2TP   Layer Two Tunneling Protocol
>
>    LCCE   L2TP Control Connection Endpoint
>
>    LDP    Label Distribution Protocol
>
>    LER    Label Edge Router
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                 [Page 7]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    LM     Loss Measurement
>
>    LSP    Label Switched Path
>
>    LSR    Label Switched Router
>
>    ME     Maintenance Entity
>
>    MEG    Maintenance Entity Group
>
>    MEP    MEG End Point
>
>    MIP    MEG Intermediate Point
>
>    MP     Maintenance Point
>
>    MPLS   Multiprotocol Label Switching
>
>    MPLS-TP MPLS Transport Profile
>
>    MTU    Maximum Transmission Unit
>
>    OAM    Operations, Administration, and Maintenance
>
>    PDH    Plesiochronous Digital Hierarchy
>
>    PE     Provider Edge
>
>    PW     Pseudowire
>
>    PWE3   Pseudowire Emulation Edge-to-Edge
>
>    RBridge Routing Bridge
>
>    RDI    Remote Defect Indication
>
>    SDH    Synchronous Digital Hierarchy
>
>    SONET   Synchronous Optical Networking
>
>    TRILL   Transparent Interconnection of Lots of Links
>
>    TTL    Time To Live
>
>    VCCV   Virtual Circuit Connectivity Verification
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                 [Page 8]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
> 2.2. Terminology used in OAM Standards
>
> 2.2.1. General Terms
>
>    A wide variety of terms is used in various OAM standards. This
>    section presents a comparison of the terms used in various OAM
>    standards, without fully quoting the definition of each term.
>
>    An interesting overview of the term OAM and its derivatives is
>    presented in [OAM-Def]. A thesaurus of terminology for MPLS-TP terms
>    is presented in [TP-Term], and provides a good summary of some of the
>    OAM related terminology.
>
> 2.2.2. Operations, Administration and Maintenance
>
>    The following definition of OAM is quoted from [OAM-Def]:
>
>    The components of the "OAM" acronym (and provisioning) are defined as
>    follows:
>
>    o Operations - Operation activities are undertaken to keep the
>       network (and the services that the network provides) up and
>       running.  It includes monitoring the network and finding problems.
>       Ideally these problems should be found before users are affected.
>
>    o Administration - Administration activities involve keeping track
>       of resources in the network and how they are used.  It includes
>       all the bookkeeping that is necessary to track networking
>       resources and the network under control.
>
>    o Maintenance - Maintenance activities are focused on facilitating
>       repairs and upgrades -- for example, when equipment must be
>       replaced, when a router needs a patch for an operating system
>       image, or when a new switch is added to a network.  Maintenance
>       also involves corrective and preventive measures to make the
>       managed network run more effectively, e.g., adjusting device
>       configuration and parameters.
>
> SB> I think that the class of OAM that you explain is actually
> SB> M == Measurement. Maint implies maint of service which includes
> SB> protection switching which you have put out of scope.
>
> 2.2.3. Functions, Tools and Protocols
>
> OAM Function
>
>
>
>    An OAM function is an instrumentation measurement type or diagnostic.
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                 [Page 9]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    OAM functions are the atomic building blocks of OAM, where each
>    function defines an OAM capability.
>
>    Typical examples of OAM functions are presented in Section 3.
>
> OAM Protocol
>
>    A protocol used for implementing one or more OAM functions.
>
>    The OWAMP-Test [OWAMP] is an example of an OAM protocol.
>
> SB> Isn't your definition DP measurements? I am struggling to
> SB> work out if OWAMP is a DP measurement, or a synthetic
> SB> Transport measurement.
> SB> I think that OWAMP is UDP isn't it, so is really measuring
> SB> what the system does to UDP packets.
>
> OAM Tool
>
>    An OAM tool is a specific means of applying one or more OAM
>    functions.
>
>    In some cases an OAM protocol *is* an OAM tool, e.g., OWAMP-Test. In
>    other cases an OAM tool uses a set of protocols that are not strictly
>    OAM-related; for example, Traceroute (Section 4.2.) can be
>    implemented using UDP and ICMP messages, without using an OAM
>    protocol per se.
>
> 2.2.4. Data Plane, Control Plane and Management Plane
>
> Data Plane
>
>    The data plane is the set of functions used to transfer data in the
>    stratum or layer under consideration [ITU-Terms].
>
>    .
>
>    The Data Plane is also known as the Forwarding Plane or the User
>    Plane.
>
> SB> I am not sure that is quite right.
>
> Control Plane
>
>    The control plane is the set of protocols and mechanisms that enable
>    routers to efficiently learn how to forward packets towards their
>    final destination (based on [Comp]).
>
> SB> Er no. The routers may not learn in the classic sense of learn.
> SB> they may be told by the CP.
>
>
> Management Plane
>
>    The term Management Plane, as described in [Mng], is used to describe
>    the exchange of management messages through management protocols
>    (often transported by IP and by IP transport protocols) between
>    management applications and the managed entities such as network
>    nodes.
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 10]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
> Data Plane vs. Control Plane vs. Management Plane
>
>    The distinction between the planes is at times a bit vague. For
>    example, the definition of "Control Plane" above may imply that OAM
>    tools such as ping, BFD and others are in fact in the control plane.
>
>    This document focuses on data plane OAM tools, i.e., tools used for
>    monitoring the data plane. While these tools could arguably be
>    considered to be in the control plane, these tools monitor the data
>    plane, and hence it is imperative to have fate-sharing between OAM
>    traffic that monitors the data plane and the data plane traffic it
>    monitors.
>
>    Another potentially vague distinction is between the management plane
>    and control plane. The management plane should be seen as separate
>    from, but possibly overlapping with, the control plane (based on
>    [Mng]).
>
> 2.2.5. The Players
>
>    An OAM tool is used between two (or more) "players". Various terms
>    are used in IETF documents to refer to the players that take part in
>    OAM. Table 2 summarizes the terms used in each of the categories
>    discussed in this document.
>
> +--------------------------+--------------------------+
>           | Category                 | Terms                    |
> +--------------------------+--------------------------+
>           | Ping / Traceroute |-Host                     |
>           | ([ICMPv4], [ICMPv6], |-Node                     |
>           |  [TCPIP-Tools]) |-Interface                |
>           | |-Gateway                  |
>           + ------------------------ + ------------------------ +
>           | BFD [BFD]                | System                   |
>           + ------------------------ + ------------------------ +
>           | MPLS OAM [MPLS-OAM-FW]   | LSR                      |
>           + ------------------------ + ------------------------ +
>           | MPLS-TP OAM [TP-OAM-FW]  |-End Point - MEP          |
>           |                          |-Intermediate Point - MIP |
>           + ------------------------ + ------------------------ +
>           | Pseudowire OAM [VCCV] |-PE                       |
>           | |-LCCE                     |
>           + ------------------------ + ------------------------ +
>           | OWAMP and TWAMP |-Host                     |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 11]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>           | ([OWAMP], [TWAMP])       |-End system               |
>           + ------------------------ + ------------------------ +
>           | TRILL OAM [TRILL-OAM] |-RBridge                  |
> +--------------------------+--------------------------+
>                    Table 2 Maintenance Point Terminology
>
> SB> Shouldn't you start with a rigorous definition and then show
> SB> how the less rigorous terms map to it?
>
> 2.2.6. Proactive and On-demand Activation
>
>    The different OAM tools may be used in one of two basic types of
>    activation:
>
> Proactive
>
>    Proactive activation - indicates that the tool is activated on a
>    continual basis, where messages are sent periodically, and errors are
>    detected when a certain number of expected messages are not received.
>
> On-demand
>
>    On-demand activation - indicates that the tool is activated
>    "manually" to detect a specific anomaly.
>
> 2.2.7. Connectivity Verification and Continuity Checks
>
>    Two distinct classes of failure management functions are used in OAM
>    protocols, connectivity verification and continuity checks. The
>    distinction between these terms is defined in [MPLS-TP-OAM], and is
>    used similarly in this document.
>
> Continuity Check
>
>    Continuity checks are used to verify that a destination is reachable,
>    and are typically sent proactively, though they can be invoked on-
>    demand as well.
>
> Connectivity Verification
>
> SB> CV is surely about verifying that Bob is Bob?
> SB> What you are about to describe is path verification.
>
>    A connectivity verification function allows Alice to check whether
>    she is connected to Bob or not. This function also allows Alice to
>    verify that messages from Bob are received through the correct path,
>    thereby verifying not only that the two MPs are connected, but also
>    that they are connected through the expected path, allowing detection
>    of unexpected topology changes. It is noted that while the CV
>    function is performed in the data plane, the "expected path" is
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 12]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    predetermined either in the control plane or in the management plane.
>    A connectivity verification (CV) protocol typically uses a CV
>    message, followed by a CV reply that is sent back to the originator.
>    A CV function can be applied proactively or on-demand.
>
>    Connectivity verification and continuity checks are considered
>    complementary mechanisms, and are often used in conjunction with each
>    other.
>
> 2.2.8. Connection Oriented vs. Connectionless Communication
>
> Connection Oriented
>
>    In Connection Oriented technologies an end-to-end connection is
>    established (by a control protocol or provisioned by a management
>    system) prior to the transmission of data.
>
>    Typically a connection identifier is used to identify the connection.
>    In connection oriented technologies it is often the case (although
>    not always) that all packets belonging to a specific connection use
>    the same route through the network.
>
> Connectionless
>
>    In Connectionless technologies data is typically sent between end
>    points without prior arrangement. Packets are routed independently
>    based on their destination address, and hence different packets may
>    be routed in a different way across the network.
>
> Discussion
>
>    The OAM tools described in this document include tools that support
>    connection oriented technologies, as well as tools for connectionless
>    technologies.
>
>    In connection oriented technologies OAM is used to monitor a
>    *specific* connection; OAM packets are forwarded through the same
>    route as the data traffic and receive the same treatment. In
>    connectionless technologies, OAM is used between a source and
>    destination pair without defining a specific connection. Moreover, in
>    some cases the route of OAM packets may differ from the one of the
>    data traffic. For example, the connectionless IP Ping (Section 4.1.)
>    tests the reachability from a source to a given destination, while
>    the connection oriented LSP Ping (Section 4.4.) is used for
>    monitoring a specific LSP (connection), and provides the capability
>    to monitor all the available paths used by an LSP.
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 13]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    It should be noted that in some cases connectionless protocols are
>    monitored by connection oriented OAM protocols. For example, while IP
>    is a connectionless protocol, it can monitored by BFD (Section 4.3.
>    ), which is connection oriented.
>
> 2.2.9. Point-to-point vs. Point-to-multipoint Services
>
> Point-to-point (P2P)
>
>    A P2P service delivers data from a single source to a single
>    destination.
>
> Point-to-multipoint (P2MP)
>
>    An P2MP service delivers data from a single source to a one or more
>    destinations (based on [Signal]).
>
>    [Signal] also defines a MP2MP service as a service that delivers data
>    from more than one source to one or more receivers.
>
> SB> MP2P is a very interesting and important class - it is what
> SB> a VPN service (such as RFC2547) looks like, and has some interesting
> SB> instrumentation problems.
>
> Discussion
>
>    The OAM tools described in this document include tools for P2P
>    services, as well as tools for P2MP services.
>
>    The distinction between P2P services and P2MP services affects the
>    corresponding OAM tools. A P2P service is typically simpler to
>    monitor, as it consists of a single pair of end points. P2MP services
>    present several challenges. For example, in a P2MP service, the OAM
>    mechanism not only verifies that each of the destinations is
>    reachable from the source, but also verifies that the P2MP
>    distribution tree is intact and loop-free. Another challenge in P2MP
>    services is performance monitoring; while in P2P packet loss is
>    measured by maintaining packet counters at the two end-points, in
>    P2MP packet loss must be carefully measured by generating synthetic
>    traffic to each corresponding end-point and maintaining a separate
>    counter for each peer end-point.
>
> SB> Incorrect. You can monitor live traffic. Think counting I-frames
> SB> as but one example.
>
> 2.2.10. Failures
>
>    The terms Failure, Fault, and Defect are used interchangeably in the
>    standards, referring to a malfunction that can be detected by a
>    connectivity or a continuity check. In some standards, such as
>    802.1ag [IEEE802.1Q] , there is no distinction between these terms,
>    while in other standards each of these terms refers to a different
>    type of malfunction.
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 14]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    The terminology used in IETF MPLS-TP OAM is based on the ITU-T
>    terminology, which distinguishes between these three terms in
>    [ITU-T-G.806];
>
> Fault
>
>    The term Fault refers to an inability to perform a required action,
>    e.g., an unsuccessful attempt to deliver a packet.
>
> Defect
>
>    The term Defect refers to an interruption in the normal operation,
>    such as a consecutive period of time where no packets are delivered
>    successfully.
>
> Failure
>
>    The term Failure refers to the termination of the required function.
>    While a Defect typically refers to a limited period of time, a
>    failure refers to a long period of time.
>
> 3. OAM Functions
>
>    This subsection provides a brief summary of the common OAM functions
>    used in OAM-related standards. These functions are used as building
>    blocks in the OAM standards described in this document.
>
>    o Connectivity Verification (CV) and/or Continuity Checks (CC):
>       As defined in Section 2.2.7.
>
>    o Path Discovery / Fault Localization:
>       This function can be used to trace the route to a destination,
>       i.e., to identify the nodes along the route to the destination.
>       When more than one route is available to a specific destination,
>       this function traces one of the available routes. When a failure
>       occurs, this function also allows to detect the location of the
>       failure.
>       Note that the term route tracing (or Traceroute) that is used in
>       the context of IP and MPLS, is sometimes referred to as path
>       tracing in the context of other protocols, such as TRILL.
>
> SB> What about path verification?
>
>    o Performance Monitoring:
>       Typically refers to:
>
>         o Loss Measurement (LM) - monitors the packet loss rate.
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 15]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>         o Delay Measurement (DM) - monitors the delay and delay
>           variation.
>
> 4. OAM Tools in the IETF - a Detailed Description
>
>    This section presents a detailed description of the sets of OAM-
>    related tools in each of the categories in Table 1.
>
> 4.1. IP Ping
>
>    Ping is a common network diagnosis application for IP networks that
>    uses ICMP. According to [NetTerms], 'Ping' is an abbreviation for
>    Packet internet groper, although the term has been so commonly used
>    that it stands on its own.
>
> SB> I bet the true origin of the name lies with SONAR, and the rest
> SB> is post-hoc justification
>
>    As defined in [NetTerms], it is a program
>    used to test reachability of destinations by sending them an ICMP
>    echo request and waiting for a reply.
>
>    The ICMP Echo request/reply exchange in Ping is used as a continuity
>    check function for the Internet Protocol. The originator transmits an
>    ICMP Echo request packet, and the receiver replies with an Echo
>    reply. ICMP ping is defined in two variants, [ICMPv4] is used for
>    IPv4, and [ICMPv6] is used for IPv6.
>
>    Ping implementations typically use ICMP messages. UDP Ping is a
>    variant that uses UDP messages instead of ICMP echo messages.
>
>    Ping is a single-ended continuity check, i.e., it allows the
>    *initiator* of the Echo request to test the reachability. If it is
>    desirable for both ends to test the reachability, both ends have to
>    invoke Ping independently.
>
>    Note that since ICMP filtering is deployed in some routers and
>    firewalls, the usefulness of Ping is sometimes limited in the wider
>    internet. This limitation is equally relevant to Traceroute.
>
> 4.2. IP Traceroute
>
>    Traceroute ([TCPIP-Tools], [NetTools]) is an application that allows
>    users to discover a path between an IP source and an IP destination.
>
>    The most common way to implement Traceroute [TCPIP-Tools] is
>    described as follows. Traceroute sends a sequence of UDP packets to
>    UDP port 33434 at the destination. By default, Traceroute begins by
>    sending three packets (the number of packets is configurable in most
>    Traceroute implementations), each with an IP Time-To-Live (or Hop
>    Limit in IPv6) value of one to the destination. These packets expire
>    as soon as they reach the first router in the path. Consequently,
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 16]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    that router sends three ICMP Time Exceeded Messages back to the
>    Traceroute application. Traceroute now sends another three UDP
>    packets, each with the TTL value of 2. These messages cause the
>    second router to return ICMP messages. This process continues, with
>    ever increasing values for the TTL field, until the packets actually
>    reach the destination. Because no application listens to port 33434
>    at the destination, the destination returns ICMP Destination
>    Unreachable Messages indicating an unreachable port. This event
>    indicates to the Traceroute application that it is finished.  The
>    Traceroute program displays the round-trip delay associated with each
>    of the attempts.
>
>    While Traceroute is a tool that finds *a* path from A to B, it should
>    be noted that traffic from A to B is often forwarded through Equal
>    Cost Multiple Paths (ECMP). Paris Traceroute [Paris] is an extension
>    to Traceroute that attempts to discovers all the available paths from
>    A to B by scanning different values of header fields (such as UDP
>    ports) in the probe packets.
>
>    It is noted that Traceroute is an application, and not a protocol. As
>    such, it has various different implementations. One of the most
>    common ones uses UDP probe packets, as described above. Other
>    implementations exist that use other types of probe messages, such as
>    ICMP or TCP.
>
>    Note that IP routing may be asymmetric. While Traceroute discovers a
>    path between a source and destination, it does not reveal the reverse
>    path.
>
>    A few ICMP extensions ([ICMP-MP], [ICMP-Int]) have been defined in
>    the context of Traceroute. These documents define several extensions,
>    including extensions to the ICMP Destination Unreachable message,
>    that can be used by Traceroute applications.
>
> 4.3. Bidirectional Forwarding Detection (BFD)
>
> 4.3.1. Overview
>
>    While multiple OAM tools have been defined for various protocols in
>    the protocol stack, Bidirectional Forwarding Detection [BFD], defined
>    by the IETF BFD working group, is a generic OAM tool that can be
>    deployed over various encapsulating protocols, and in various medium
>    types. The IETF has defined variants of the protocol for IP ([BFD-
>    IP], [BFD-Multi]), for MPLS LSPs [BFD-LSP], and for pseudowires [BFD-
>    VCCV]. The usage of BFD in MPLS-TP is defined in [TP-CC-CV].
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 17]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    BFD includes two main OAM functions, using two types of BFD packets:
>    BFD Control packets, and BFD Echo packets.
>
> 4.3.2. Terminology
>
>    BFD operates between two *systems*. The BFD protocol is run between
>    two systems after establishing a *session*.
>
> SB> Isn't there a P2MP BFD?
>
> 4.3.3. BFD Control
>
>    BFD supports a bidirectional continuity check, using BFD control
>    packets, that are exchanged within a BFD session. BFD sessions
>    operate in one of two modes:
>
>    o Asynchronous mode (i.e. proactive): in this mode BFD control
>       packets are sent periodically. When the receiver detects that no
>       BFD control packets have been received during a predetermined
>       period of time, a failure is detected.
>
>    o Demand mode: in this mode, BFD control packets are sent on-demand.
>       Upon need, a system initiates a series of BFD control packets to
>       check the continuity of the session. BFD control packets are sent
>       independently in each direction.
>
>    Each of the end-points (referred to as systems) of the monitored path
>    maintains its own session identification, called a Discriminator,
>    both of which are included in the BFD Control Packets that are
>    exchanged between the end-points.  At the time of session
>    establishment, the Discriminators are exchanged between the two-end
>    points.  In addition, the transmission (and reception) rate is
>    negotiated between the two end-points, based on information included
>    in the control packets.  These transmission rates may be renegotiated
>    during the session.
>
>    During normal operation of the session, i.e. no failures are
>    detected, the BFD session is in the Up state.  If no BFD Control
>    packets are received during a period of time called the Detection
>    Time, the session is declared to be Down. The detection time is a
>    function of the pre-configured or negotiated transmission time, and a
>    parameter called Detect Mult. Detect Mult determines the number of
>    missing BFD Control packets that cause the session to be declared as
>    Down. This parameter is included in the BFD Control packet.
>
> 4.3.4. BFD Echo
>
>    A BFD echo packet is sent to a peer system, and is looped back to the
>    originator. The echo function can be used proactively, or on-demand.
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 18]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    The BFD echo function has been defined in BFD for IPv4 and IPv6
>    ([BFD-IP]), but is not used in BFD for MPLS LSPs, PWs, or in BFD for
>    MPLS-TP.
>
> 4.4. MPLS OAM
>
>    The IETF MPLS working group has defined OAM for MPLS LSPs. The
>    requirements and framework of this effort are defined in
>    [MPLS-OAM-FW] and [MPLS-OAM], respectively. The corresponding OAM
>    tool defined, in this context, is LSP Ping [LSP-Ping]. OAM for P2MP
>    services is defined in [MPLS-P2MP].
>
>    LSP Ping is modeled after the Ping/Traceroute paradigm and thus it
>    may be used in one of two modes:
>
>    o "Ping" mode: In this mode LSP Ping is used for end-to-end
>       connectivity verification between two LERs.
>
>    o "Traceroute" mode: This mode is used for hop-by-hop fault
>       isolation.
>
>    LSP Ping extends the basic ICMP Ping operation (of data-plane
>    connectivity verification) with functionality to verify data-plane
>    vs. control-plane consistency for a Forwarding Equivalence Class
>    (FEC) and also Maximum Transmission Unit (MTU) problems.
>
>    The challenge in MPLS networks is that the traffic of a given LSP may
>    be load balanced across Equal Cost Multiple paths (ECMP). LSP Ping
>    monitors all the available paths of an LSP by monitoring its
>    different Forwarding Equivalence Classes (FEC).
> SB> That is one challange, the real problem is that the labels
> SB> are opaque at a mid-point and that the payload is not
> SB> known at that point either. Also you do not have an automatic
> SB> return path path other than MPLS-TP. It's not like IP where
> SB> you can reverse the SA and DA into DA and SA.
>
>    Conversely, MPLS-TP
>    does not use ECMP, and thus does not require OAM over multiple paths.
>    The Traceroute functionality may be used to isolate and localize the
>    MPLS faults, using the Time-to-live (TTL) indicator to incrementally
>    identify the sub-path of the LSP that is successfully traversed
>    before the faulty link or node.
>
> SB> Can't yo also do this in regular MPLS
>
>    It should be noted that LSP Ping supports unique identification of
>    the LSP within an addressing domain. The identification is checked
>    using the full FEC identification. LSP Ping is easily extensible to
>    include additional information needed to support new functionality,
>    by use of Type-Length-Value (TLV) constructs. The usage of TLVs is
>    typically not easy to perform in hardware, and is thus typically
>    handled by the control plane.
>
>    LSP Ping supports both asynchronous, as well as, on-demand
>    activation.
>
>
> SB> You should get George Swallow to take a look at 4.4
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 19]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
> 4.5. MPLS-TP OAM
>
> 4.5.1. Overview
>
>    The MPLS working group has defined the OAM toolset that fulfills the
>    requirements for MPLS-TP OAM. The full set of requirements for MPLS-
>    TP OAM are defined in [MPLS-TP-OAM], and include both general
>    requirements for the behavior of the OAM tools and a set of
>    operations that should be supported by the OAM toolset.  The set of
>    mechanisms required are further elaborated in [TP-OAM-FW], which
>    describes the general architecture of the OAM system as well as
>    giving overviews of the functionality of the OAM toolset.
>
>    Some of the basic requirements for the OAM toolset for MPLS-TP are:
>
>    o MPLS-TP OAM must be able to support both an IP based and non-IP
>       based environment. If the network is IP based, i.e. IP routing and
>       forwarding are available, then the MPLS-TP OAM toolset should rely
>       on the IP routing and forwarding capabilities. On the other hand,
>       in environments where IP functionality is not available, the OAM
>       tools must still be able to operate without dependence on IP
>       forwarding and routing.
>
> SB> "should rely on the IP routing and forwarding capabilities" That is
> SB> rather ambiguous. As I recall this is only to get responses
> SB> back from MIPs where the path is broken.
> SB> -TP uses co-routed bidirectional channels and again as I recall
> SB> the "normal" response is back via that.
>
>    o OAM packets and the user traffic are required to be congruent
>       (i.e. OAM packets are transmitted in-band) and there is a need to
>       differentiate OAM packets from data plane ones. Inherent in this
>       requirement is the principle that MPLS-TP OAM be independent of
>       any existing control-plane, although it should not preclude use of
>       the control-plane functionality.
>
> SB> So you miss the key point in that we use L13 as an inband
> SB> OAM discriminator.
>
> 4.5.2. Terminology
>
> Maintenance Entity (ME)
>
>    The MPLS-TP OAM tools are designed to monitor and manage a
>    Maintenance Entity (ME).  An ME, as defined in [TP-OAM-FW], defines a
>    relationship between two points of a transport path to which
>    maintenance and monitoring operations apply.
>
>    The term Maintenance Entity (ME) is used in ITU-T Recommendations
>    (e.g. [ITU-T-Y1731]), as well as in the MPLS-TP terminology
>    ([TP-OAM-FW]).
>
> Maintenance Entity Group (MEG)
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 20]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    The collection of one or more MEs that belongs to the same transport
>    path and that are maintained and monitored as a group are known as a
>    Maintenance Entity Group (based on [TP-OAM-FW]).
>
> Maintenance Point (MP)
>
>    A Maintenance Point (MP) is a functional entity that is defined at a
>    node in the network, and can initiate and/or react to OAM messages.
>    This document focuses on the data-plane functionality of MPs, while
>    MPs interact with the control plane and with the management plane as
>    well.
>
>    The term MP is used in IEEE 802.1ag, and was similarly adopted in
>    MPLS-TP ([TP-OAM-FW]).
>
> Maintenance End Point (MEP)
>
>    A Maintenance End Point (MEP) is one of the end points of an ME, and
>    can initiate OAM messages and respond to them (based on [TP-OAM-FW]).
>
> Maintenance Intermediate Point (MIP)
>
>    In between MEPs, there are zero or more intermediate points, called
>    Maintenance Entity Group Intermediate Points  (based on [TP-OAM-FW]).
>
>    A Maintenance Intermediate Point (MIP) is an intermediate point that
>    does not generally initiate OAM frames (one exception to this is the
>    use of AIS notifications), but is able to respond to OAM frames that
>    are destined to it. A MIP in MPLS-TP identifies OAM packets destined
>    to it by the value of the TTL field in the OAM packet. The term
>    Maintenance Point is a general term for MEPs and MIPs.
>
> Up and Down MEPs
>
>    The IEEE 802.1ag [IEEE802.1Q] defines a distinction between Up MEPs
>    and Down MEPs. A MEP is a bridge interface that is monitored by an
>    OAM protocol either in the direction facing the network, or in the
>    direction facing the bridge. A Down MEP is a MEP that receives OAM
>    packets from, and transmits them to the direction of the network. An
>    Up MEP receives OAM packets from, and transmits them to the direction
>    of the bridging entity. MPLS-TP ([TP-OAM-FW]) uses a similar
>    distinction on the placement of the MEP - either at the ingress,
>    egress, or forwarding function of the node (Down / Up MEPs).  This
>    placement is important for localization of a failure.
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 21]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    The distinction between Up and Down MEPs was defined in [TP-OAM-FW],
>    but has not been used in other MPLS-TP RFCs, as of the writing of
>    this document.
>
> 4.5.3. Generic Associated Channel
>
>    In order to address the requirement for in-band transmission of MPLS-
>    TP OAM traffic, MPLS-TP uses a Generic Associated Channel (G-ACh),
>    defined in [G-ACh] for LSP-based OAM traffic. This mechanism is based
>    on the same concepts as the PWE3 ACH and VCCV mechanisms.  However,
>    to address the needs of LSPs as differentiated from PW, the following
>    concepts were defined for [G-ACh]:
>
>    o An Associated Channel Header (ACH), that uses a format similar to
>       the PW Control Word, is a 4-byte header that is prepended to OAM
>       packets.
>
>    o A Generic Associated Label (GAL). The GAL is a reserved MPLS label
>       value (13) that indicates that the packet is an ACH packet and the
>       payload follows immediately after the label stack.
>
>    It should be noted that while the G-ACh was defined as part of the
>    MPLS-TP definition effort, the G-ACh is a generic tool that can be
>    used in MPLS in general, and not only in MPLS-TP.
>
> SB> Whilst historically what you say is true WRT PWE3, I think the
> SB> approach confuses the reader, particularly as they have not yet
> SB> met PWE3 in this document.
>
> 4.5.4. MPLS-TP OAM Toolset
>
>    To address the functionality that is required of the OAM toolset, the
>    MPLS WG conducted an analysis of the existing IETF and ITU-T OAM
>    tools and their ability to fulfill the required functionality.  The
>    conclusions of this analysis are documented in [OAM-Analys]. The MPLS
>    working group currently plans to use a mixture of OAM tools that are
>    based on various existing standards, and adapt them to the
>    requirements of [MPLS-TP-OAM]. Some of the main building blocks of
>    this solution are based on:
>
>    o Bidirectional Forwarding Detection ([BFD], [BFD-LSP]) for
>       proactive continuity check and connectivity verification.
>
>    o LSP Ping as defined in [LSP-Ping] for on-demand connectivity
>       verification.
>
>    o New protocol packets, using G-ACH, to address different
>       functionality.
>
>    o Performance measurement protocols that are based on the
>       functionality that is described in [ITU-T-Y1731].
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 22]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    The following sub-sections describe the OAM tools defined for MPLS-TP
>    as described in [TP-OAM-FW].
>
> 4.5.4.1. Continuity Check and Connectivity Verification
>
>    Continuity Check and Connectivity Verification are presented in
>    Section 2.2.7. of this document.  As presented there, these tools may
>    be used either proactively or on-demand.  When using these tools
>    proactively, they are generally used in tandem.
>
>    For MPLS-TP there are two distinct tools, the proactive tool is
>    defined in [TP-CC-CV] while the on-demand tool is defined in
>    [OnDemand-CV]. In on-demand mode, this function should support
>    monitoring between the MEPs and, in addition, between a MEP and MIP.
>    [TP-OAM-FW] highlights,  when performing Connectivity Verification,
>    the need for the CC-V messages to include unique identification of
>    the MEG that is being monitored and the MEP that originated the
>    message.
>
>    The proactive tool [TP-CC-CV] is based on extensions to BFD (see
>    Section 4.3.) with the additional limitation that the transmission
>    and receiving rates are based on configuration by the operator.  The
>    on-demand tool [OnDemand-CV] is an adaptation of LSP Ping (see
>    Section 4.4.) for the required behavior of MPLS-TP.
>
> 4.5.4.2. Route Tracing
>
>    [MPLS-TP-OAM] defines that there is a need for functionality that
>    would allow a path end-point to identify the intermediate and end-
>    points of the path. This function would be used in on-demand mode.
>    Normally, this path will be used for bidirectional PW, LSP, and
>    sections, however, unidirectional paths may be supported only if a
>    return path exists.  The tool for this is based on the LSP Ping (see
>    Section 4.4.) functionality and is described in [OnDemand-CV].
>
> 4.5.4.3. Lock Instruct
>
>    The Lock Instruct function [Lock-Loop] is used to notify a transport
>    path end-point of an administrative need to disable the transport
>    path.  This functionality will generally be used in conjunction with
>    some intrusive OAM function, e.g. Performance measurement, Diagnostic
>    testing, to minimize the side-effect on user data traffic.
>
>
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 23]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
> 4.5.4.4. Lock Reporting
>
>    Lock Reporting is a function used by an end-point of a path to report
>    to its far-end end-point that a lock condition has been affected on
>    the path.
>
> 4.5.4.5. Alarm Reporting
>
>    Alarm Reporting [TP-Fault] provides the means to suppress alarms
>    following detection of defect conditions at the server sub-layer.
>    Alarm reporting is used by an intermediate point of a path, that
>    becomes aware of a fault on the path, to report to the end-points of
>    the path. [TP-OAM-FW] states that this may occur as a result of a
>    defect condition discovered at a server sub-layer. This generates an
>    Alarm Indication Signal (AIS) that continues until the fault is
>    cleared. The consequent action of this function is detailed in
>    [TP-OAM-FW].
>
> 4.5.4.6. Remote Defect Indication
>
>    Remote Defect Indication (RDI) is used proactively by a path end-
>    point to report to its peer end-point that a defect is detected on a
>    bidirectional connection between them. [MPLS-TP-OAM] points out that
>    this function may be applied to a unidirectional LSP only if there a
>    return path exists.  [TP-OAM-FW] points out that this function is
>    associated with the proactive CC-V function.
>
> 4.5.4.7. Client Failure Indication
>
>    Client Failure Indication (CFI) is defined in [MPLS-TP-OAM] to allow
>    the propagation information from one edge of the network to the
>    other. The information concerns a defect to a client, in the case
>    that the client does not support alarm notification.
>
> 4.5.4.8. Performance Monitoring
>
>    The definition of MPLS performance monitoring was motivated by the
>    MPLS-TP requirements [MPLS-TP-OAM], but was defined generically for
>    MPLS in [MPLS-LM-DM]. An additional document [TP-LM-DM] defines a
>    performance monitoring profile for MPLS-TP.
>
> 4.5.4.8.1. Packet Loss Measurement (LM)
>
>    Packet Loss Measurement is a function used to verify the quality of
>    the service. Packet loss, as defined in [IPPM-1LM] and [MPLS-TP-OAM],
>    indicates the ratio of the number of user packets lost to the total
>    number of user packets sent during a defined time interval.
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 24]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    There are two possible ways of determining this measurement:
>
>    o Using OAM packets, it is possible to compute the statistics based
>       on a series of OAM packets. This, however, has the disadvantage of
>       being artificial, and may not be representative since part of the
>       packet loss may be dependent upon packet sizes and upon the
>       implementation of the MEPs that take part in the protocol.
>
>    o Sending delimiting messages for the start and end of a measurement
>       period during which the source and sink of the path count the
>       packets transmitted and received. After the end delimiter, the
>       ratio would be calculated by the path OAM entity.
>
> SB> This needs some references - To some of the early work and to the
> SB> more recent work by TI.
> SB> Note that this contradicts earlier statements about P2MP live
> SB> traffic measurement.
>
> 4.5.4.8.2. Packet Delay Measurement (DM)
>
>    Packet Delay Measurement is a function that is used to measure one-
>    way or two-way delay of a packet transmission between a pair of the
>    end-points of a path (PW, LSP, or Section). Where:
>
>    o One-way packet delay, as defined in [IPPM-1DM], is the time
>       elapsed from the start of transmission of the first bit of the
>       packet by a source node until the reception of the last bit of
>       that packet by the destination node. Note that one-way delay
>       measurement requires the clocks of the two end-points to be
>       synchronized.
>
>    o Two-way packet delay, as defined in [IPPM-2DM], is the time
>       elapsed from the start of transmission of the first bit of the
>       packet by a source node until the reception of the last bit of the
>       loop-backed packet by the same source node, when the loopback is
>       performed at the packet's destination node. Note that due to
>       possible path asymmetry, the one-way packet delay from one end-
>       point to another is not necessarily equal to half of the two-way
>       packet delay.
>       As opposed to one-way delay measurement, two-way delay measurement
>       does not require the two end-points to be synchronized.
>
>    For each of these two metrics, the DM function allows the MEP to
>    measure the delay, as well as the delay variation. Delay measurement
>    is performed by exchanging timestamped OAM packets between the
>    participating MEPs.
>
>
>
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 25]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
> 4.6. Pseudowire OAM
>
> 4.6.1. Pseudowire OAM using Virtual Circuit Connectivity Verification
>    (VCCV)
>
>    VCCV, as defined in [VCCV], provides a means for end-to-end fault
>    detection and diagnostics tools to be extended for PWs (regardless of
>    the underlying tunneling technology). The VCCV switching function
>    provides a control channel associated with each PW. [VCCV] defines
>    three Control Channel (CC) types, i.e., three possible methods for
>    transmitting and identifying OAM messages:
>
>    o CC Type 1: In-band VCCV, as described in [VCCV], is also referred
>       to as "PWE3 Control Word with 0001b as first nibble".  It uses the
>       PW Associated Channel Header [PW-ACH].
>
>    o CC Type 2: Out-of-band VCCV [VCCV], is also referred to as "MPLS
>       Router Alert Label". In this case the control channel is created
>       by using the MPLS router alert label [RFC3032] immediately above
>       the PW label.
>
>    o CC Type 3: TTL expiry VCCV [VCCV], is also referred to as "MPLS PW
>       Label with TTL == 1", i.e., the control channel is identified when
>       the value of the TTL field in the PW label is set to 1.
>
>    VCCV currently supports the following OAM tools: ICMP Ping, LSP Ping,
>    and BFD. ICMP and LSP Ping are IP encapsulated before being sent over
>    the PW ACH. BFD for VCCV [BFD-VCCV] supports two modes of
>    encapsulation - either IP/UDP encapsulated (with IP/UDP header) or
>    PW-ACH encapsulated (with no IP/UDP header) and provides support to
>    signal the AC status. The use of the VCCV control channel provides
>    the context, based on the MPLS-PW label, required to bind and
>    bootstrap the BFD session to a particular pseudo wire (FEC),
>    eliminating the need to exchange Discriminator values.
>
>    VCCV consists of two components: (1) signaled component to
>    communicate VCCV capabilities as part of VC label, and (2) switching
>    component to cause the PW payload to be treated as a control packet.
>
>    VCCV is not directly dependent upon the presence of a control plane.
>    The VCCV capability negotiation may be performed as part of the PW
>    signaling when LDP is used. In case of manual configuration of the
>    PW, it is the responsibility of the operator to set consistent
>    options at both ends. The manual option was created specifically to
>    handle MPLS-TP use cases where no control plane was a requirement.
>    However, new use cases such as pure mobile backhaul find this
>    functionality useful too.
>
> SB> There is a strange logic in the flow above - it is not depenent, 
> it uses
> SB> the CP - it can be configured
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 26]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    The PWE3 working group has conducted an implementation survey of VCCV
>    [VCCV-SURVEY], which analyzes which VCCV mechanisms are used in
>    practice.
>
> 4.6.2. Pseudowire OAM using G-ACh
>
>    As mentioned above, VCCV enables OAM for PWs by using a control
>    channel for OAM packets. When PWs are used in MPLS-TP networks,
>    rather than the control channels defined in VCCV, the G-ACh can be
>    used as an alternative control channel. The usage of the G-ACh for
>    PWs is defined in [PW-G-ACh].
>
> 4.6.3. Attachment Circuit - Pseudowire Mapping
>
> SB> Isn't this message mapping?
>
>    The PWE3 working group has defined a mapping and notification of
>    defect states between a pseudowire (PW) and the Attachment Circuits
>    (ACs) of the end-to-end emulated service. This mapping is of key
>    importance to the end-to-end functionality. Specifically, the mapping
>    is provided by [PW-MAP], by [L2TP-EC] for L2TPv3 pseudowires, and
>    Section 5.3 of [ATM-L2] for ATM.
>
> 4.7. OWAMP and TWAMP
>
> 4.7.1. Overview
>
> SB> See my earlier note about whether his is measuring
> SB> data plane performance or transport layer performance.
>
>    The IPPM working group in the IETF defines common criteria and
>    metrics for measuring performance of IP traffic ([IPPM-FW]). Some of
>    the key RFCs published by this working group have defined metrics for
>    measuring connectivity [IPPM-Con], delay ([IPPM-1DM], [IPPM-2DM]),
>    and packet loss [IPPM-1LM]. It should be noted that the work of the
>    IETF in the context of performance metrics is not limited to IP
>    networks; [PM-CONS] presents general guidelines for considering new
>    performance metrics.
>
>    The IPPM working group has defined not only metrics for performance
>    measurement, but also protocols that define how the measurement is
>    carried out. The One-way Active Measurement Protocol [OWAMP] and the
>    Two-Way Active Measurement Protocol [TWAMP] define a method and
>    protocol for measuring performance metrics in IP networks.
>
>    OWAMP [OWAMP] enables measurement of one-way characteristics of IP
>    networks, such as one-way packet loss and one-way delay.  For its
>    proper operation OWAMP requires accurate time of day setting at its
>    end points.
>
>    TWAMP [TWAMP] is a similar protocol that enables measurement of both
>    one-way and two-way (round trip) characteristics.
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 27]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    OWAMP and TWAMP are both comprised of two separate protocols:
>
>    o OWAMP-Control/TWAMP-Control: used to initiate, start, and stop
>       test sessions and to fetch their results. Continuity Check and
>       Connectivity Verification are tested and confirmed by establishing
>       the OWAMP/TWAMP Control Protocol TCP connection.
>
>    o OWAMP-Test/TWAMP-Test: used to exchange test packets between two
>       measurement nodes. Enables the loss and delay measurement
>       functions, as well as detection of other anomalies, such as packet
>       duplication and packet reordering.
>
>    It should be noted that while [OWAMP] and [TWAMP] define tools for
>    performance measurement, they do not define the accuracy of these
>    tools. The accuracy depends on scale, implementation and network
>    configurations.
>
>    Alternative protocols for performance monitoring are defined, for
>    example, in MPLS-TP OAM ([MPLS-LM-DM], [TP-LM-DM]), and in Ethernet
>    OAM [ITU-T-Y1731].
>
> 4.7.2. Control and Test Protocols
>
>    OWAMP and TWAMP control protocols run over TCP, while the test
>    protocols run over UDP.  The purpose of the control protocols is to
>    initiate, start, and stop test sessions, and for OWAMP to fetch
>    results.  The test protocols introduce test packets (which contain
>    sequence numbers and timestamps) along the IP path under test
>    according to a schedule, and record statistics of packet arrival.
>    Multiple sessions may be simultaneously defined, each with a session
>    identifier, and defining the number of packets to be sent, the amount
>    of padding to be added (and thus the packet size), the start time,
>    and the send schedule (which can be either a constant time between
>    test packets or exponentially distributed pseudo-random). Statistics
>    recorded conform to the relevant IPPM RFCs.
>
>    OWAMP and TWAMP test traffic is designed with security in mind. Test
>    packets are hard to detect because they are simply UDP streams
>    between negotiated port numbers, with potentially nothing static in
>    the packets.  OWAMP and TWAMP also include optional authentication
>    and encryption for both control and test packets.
>
>
> 4.7.3. OWAMP
>
>    OWAMP defines the following logical roles: Session-Sender, Session-
>    Receiver, Server, Control-Client, and Fetch-Client. The Session-
>    Sender originates test traffic that is received by the Session-
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 28]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    Receiver.  The Server configures and manages the session, as well as
>    returning the results.  The Control-Client initiates requests for
>    test sessions, triggers their start, and may trigger their
>    termination.  The Fetch-Client requests the results of a completed
>    session.  Multiple roles may be combined in a single host - for
>    example, one host may play the roles of Control-Client, Fetch-Client,
>    and Session-Sender, and a second playing the roles of Server and
>    Session-Receiver.
>
>    In a typical OWAMP session the Control-Client establishes a TCP
>    connection to port 861 of the Server, which responds with a server
>    greeting message indicating supported security/integrity modes. The
>    Control-Client responds with the chosen communications mode and the
>    Server accepts the modes.  The Control-Client then requests and fully
>    describes a test session to which the Server responds with its
>    acceptance and supporting information.  More than one test session
>    may be requested with additional messages.  The Control-Client then
>    starts a test session and the Server acknowledges. The Session-
>    Sender then sends test packets with pseudorandom padding to the
>    Session-Receiver until the session is complete or until the Control-
>    client stops the session.  Once finished, the Fetch-Client sends a
>    fetch request to the server, which responds with an acknowledgement
>    and immediately thereafter the result data.
>
> 4.7.4. TWAMP
>
>    TWAMP defines the following logical roles: session-sender, session-
>    reflector, server, and control-client.  These are similar to the
>    OWAMP roles, except that the Session-Reflector does not collect any
>    packet information, and there is no need for a Fetch-Client.
>
>    In a typical TWAMP session the Control-Client establishes a TCP
>    connection to port 862 of the Server, and mode is negotiated as in
>    OWAMP.  The Control-Client then requests sessions and starts them.
>    The Session-Sender sends test packets with pseudorandom padding to
>    the Session-Reflector which returns them with insertion of
>    timestamps.
>
> 4.8. TRILL
>
>    The requirements of OAM in TRILL are defined in [TRILL-OAM]. The
>    challenge in TRILL OAM, much like in MPLS networks, is that traffic
>    between RBridges RB1 and RB2 may be forwarded through more than one
>    path. Thus, an OAM protocol between RBridges RB1 and RB2 must be able
>    to monitor all the available paths between the two RBridge.
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 29]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    During the writing of this document the detailed definition of the
>    TRILL OAM tools are still work in progress. This subsection presents
>    the main requirements of TRILL OAM.
>
>    The main requirements defined in [TRILL-OAM] are:
>
>    o Continuity Checking (CC) - the TRILL OAM protocol must support a
>       function for CC between any two RBridges RB1 and RB2.
>
>    o Connectivity Verification (CV) - connectivity between two RBridges
>       RB1 and RB2 can be verified on a per-flow basis.
>
>    o Path Tracing - allows an RBridge to trace all the available paths
>       to a peer RBridge.
>
>    o Performance monitoring - allows an RBridge to monitor the packet
>       loss and packet delay to a peer RBridge.
>
> 4.9. Summary of OAM Tools
>
>    This subsection provides a short summary of each of the OAM tool
>    categories described in this document.
>
>    A detailed list of the RFCs related to each category is given in
>    Appendix A.1.
>
> +-----------+------------------------------------------+------------+
>    | Category  | Description                              | Transport  |
>    | |                                          | Technology |
> +-----------+------------------------------------------+------------+
>    |IP Ping    | Ping ([IntHost], [NetTerms]) is a simple | IPv4/IPv6  |
>    |           | application for testing reachability that|            |
>    |           | uses ICMP Echo messages ([ICMPv4],       |            |
>    |           | [ICMPv6]).                               |            |
> +-----------+------------------------------------------+------------+
>    |IP         | Traceroute ([TCPIP-Tools], [NetTools]) is| IPv4/IPv6  |
>    |Traceroute | an application that allows users to trace|            |
>    |           | the path between an IP source and an IP  |            |
>    |           | destination, i.e., to identify the nodes |            |
>    |           | along the path. If more than one path    |            |
>    |           | exists between the source and destination|            |
>    |           | Traceroute traces *a* path. The most     |            |
>    |           | common implementation of Traceroute      |            |
>    |           | uses UDP probe messages, although there  |            |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 30]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |           | are other implementations that use       |            |
>    |           | different probes, such as ICMP or TCP.   |            |
> +-----------+------------------------------------------+------------+
>    |BFD        | Bidirectional Forwarding Detection (BFD) | generic    |
>    |           | is defined in [BFD] as a framework for a |            |
>    |           | lightweight generic OAM tool. The       |            |
>    |           | intention is to define a base tool       |            |
>    |           | that can be used with various            |            |
>    |           | encapsulation types, network             |            |
>    |           | environments, and in various medium      |            |
>    |           | types.                                   |            |
> +-----------+------------------------------------------+------------+
>    |MPLS OAM   | MPLS LSP Ping, as defined in [MPLS-OAM], | MPLS       |
>    |           | [MPLS-OAM-FW] and [LSP-Ping], is an OAM  |            |
>    |           | tool for point-to-point and              |            |
>    |           | point-to-multipoint MLPS LSPs.           |            |
>    |           | It includes two main functions: Ping and |            |
>    |           | Traceroute.                              |            |
>    |           | It is noted that while this category     |            |
>    |           | focuses on LSP Ping, other OAM tools     |            |
>    |           | can be used in MPLS networks, e.g., BFD. |            |
> +-----------+------------------------------------------+------------+
>    |MPLS-TP OAM| MPLS-TP OAM is defined in a set of RFCs. | MPLS-TP    |
>    |           | The OAM requirements for MPLS Transport  |            |
>    |           | Profile (MPLS-TP) are defined in         |            |
>    |           | [MPLS-TP-OAM]. Each of the tools in the  |            |
>    |           | OAM toolset is defined in its own RFC, as|            |
>    |           | specified in Section A.1.                |            |
> +-----------+------------------------------------------+------------+
>    |Pseudowire | The PWE3 OAM architecture defines control| Pseudowire |
>    |OAM        | channels that support the use of existing|            |
>    |           | IETF OAM tools to be used for a pseudo-  |            |
>    |           | wire (PW).  The control channels that are|            |
>    |           | defined in [VCCV] and [PW-G-ACh] may be  |            |
>    |           | used in conjunction with ICMP Ping, LSP  |            |
>    |           | Ping, and BFD to perform CC and CV       |            |
>    |           | functionality.  In addition the channels |            |
>    |           | support use of any of the MPLS-TP based  |            |
>    |           | OAM tools for completing their respective|            |
>    |           | OAM functionality for a PW.              |            |
> +-----------+------------------------------------------+------------+
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 31]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |OWAMP and  | The One Way Active Measurement Protocol  | IPv4/IPv6  |
>    |TWAMP      | (OWAMP) and the Two Way Active Measure-  |            |
>    |           | ment Protocols (TWAMP) are two protocols |            |
>    |           | defined in the IP Performance Metrics    |            |
>    |           | (IPPM) working group in the IETF. These  |            |
>    |           | protocols allow various performance      |            |
>    |           | metrics to be measured, such as packet   |            |
>    |           | loss, delay and delay variation,         |            |
>    |           | duplication and reordering.              |            |
> +-----------+------------------------------------------+------------+
>    |TRILL OAM  | The requirements of OAM in TRILL are     | TRILL      |
>    |           | defined in [TRILL-OAM]. These            |            |
>    |           | requirements include continuity checking,|            |
>    |           | connectivity verification, path tracing  |            |
>    |           | and performance monitoring. During the   |            |
>    |           | writing of this document the detailed    |            |
>    |           | definition of the TRILL OAM tools        |            |
>    |           | is work in progress.                     |            |
> +-----------+------------------------------------------+------------+
>                  Table 3 Summary of OAM-related IETF Tools
>
> 4.10. Summary of OAM Functions
>
>    Table 4 summarizes the OAM functions that are supported in each of
>    the categories that were analyzed in this section. The columns of
>    this tables are the typical OAM functions described in Section 1.3.
>
> +-----------+-------+--------+--------+-------+----------+
>        |           |Continu|Connecti|Path |Perform|Other     |
>        |           |ity    |vity    |Discover|ance |Function  |
>        |           |Check  |Verifica|y |Monitor|s         |
>        | Category  |       |tion    |        |ing |          |
> +-----------+-------+--------+--------+-------+----------+
>        |IP Ping    |Echo   |        |        | |          |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>        |IP         |       |        |Tracerou| |          |
>        |Traceroute |       |        |te      | |          |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>        |BFD        |BFD    |BFD     |        | |RDI usi-  |
>        |           |Control|Control |        | |ng BFD    |
>        |           |/ Echo |        |        | |Control   |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 32]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>        |MPLS OAM   |       |"Ping"  |"Tracero| |          |
>        |(LSP Ping) |       |mode    |ute"    | |          |
>        |           |       |        |mode    | |          |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>        |MPLS-TP    |CC     |CV/pro- |Route   |-LM |-Diagnos- |
>        |OAM        |       |active  |Tracing |-DM    | tic Test |
>        |           |       |or on-  |        | |-Lock     |
>        |           |       |demand  |        | |-Alarm    |
>        |           |       |        |        | |Reporting |
>        |           |       |        |        | |-Client   |
>        |           |       |        |        | |Failure   |
>        |           |       |        |        | |Indication|
>        |           |       |        |        | |-RDI      |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>        |Pseudowire |BFD    |-BFD    |LSP-Ping| |          |
>        |OAM        |       |-ICMP   |        | |          |
>        |           |       | Ping   |        | |          |
>        |           |       |-LSP-   |        | |          |
>        |           |       | Ping   |        | |          |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>        |OWAMP and  | - control      |        |-Delay |          |
>        |TWAMP      |   protocol     |        | measur|          |
>        |           |                |        | ement |          |
>        |           |                | |-Packet|          |
>        |           |                |        | loss |          |
>        |           |                |        | measur|          |
>        |           |                |        | ement |          |
>        + --------- + ----- + ------ + ------ + ----- + -------- +
>        |TRILL OAM  |CC     |CV      |Path    |-Delay |          |
>        |           |       |        |tracing | measur|          |
>        |           |       |        |        | ement |          |
>        |           |       |        | |-Packet|          |
>        |           |       |        |        | loss |          |
>        |           |       |        |        | measur|          |
>        |           |       |        |        | ement |          |
> +-----------+-------+--------+--------+-------+----------+
>          Table 4 Summary of the OAM Functionality in IETF OAM Tools
>
> 5. Security Considerations
>
>    This memo presents an overview of existing OAM tools, and proposes
>    no new OAM tools. Therefore, this document introduces no security
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 33]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    considerations. However, the OAM tools reviewed in this document can
>    and do present security issues. The reader is encouraged to review
>    the Security Considerations section of each document referenced by
>    this memo.
>
> 6. IANA Considerations
>
>    There are no new IANA considerations implied by this document.
>
> 7. Acknowledgments
>
>    The authors gratefully acknowledge Sasha Vainshtein, Carlos
>    Pignataro, David Harrington, Dan Romascanu, Ron Bonica and other
>    members of the OPSAWG mailing list for their helpful comments.
>
>    This document was prepared using 2-Word-v2.0.template.dot.
>
> 8. References
>
> 8.1. Informative References
>
>    [ATM-L2]      Singh, S., Townsley, M., and C. Pignataro,
>                  "Asynchronous Transfer Mode (ATM) over Layer 2
>                  Tunneling Protocol Version 3 (L2TPv3)", RFC 4454, May
>                  2006.
>
>    [BFD]         Katz, D., Ward, D., "Bidirectional Forwarding Detection
>                  (BFD)", RFC 5880, June 2010.
>
>    [BFD-Gen]     Katz, D., Ward, D., "Generic Application of
>                  Bidirectional Forwarding Detection (BFD)", RFC 5882,
>                  June 2010.
>
>    [BFD-IP]      Katz, D., Ward, D., "Bidirectional Forwarding Detection
>                  (BFD) for IPv4 and IPv6 (Single Hop)", RFC 5881, June
>                  2010.
>
>    [BFD-LSP]     Aggarwal, R., Kompella, K., Nadeau, T., and Swallow,
>                  G., "Bidirectional Forwarding Detection (BFD) for MPLS
>                  Label Switched Paths (LSPs)", RFC 5884, June 2010.
>
>    [BFD-Multi]   Katz, D., Ward, D., "Bidirectional Forwarding Detection
>                  (BFD) for Multihop Paths", RFC 5883, June 2010.
>
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 34]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    [BFD-VCCV]    Nadeau, T., Pignataro, C., "Bidirectional Forwarding
>                  Detection (BFD) for the Pseudowire Virtual Circuit
>                  Connectivity Verification (VCCV)", RFC 5885, June
>                  2010.
>
>    [Comp]        Bonaventure, O., "Computer Networking: Principles,
>                  Protocols and Practice", 2008.
>
>    [Cont]        Dugal, D., Pignataro, C., Dunn, R., "Protecting the
>                  Router Control Plane", RFC 6192, March 2011.
>
>    [Dup]         Uijterwaal, H., "A One-Way Packet Duplication Metric",
>                  RFC 5560, May 2009.
>
>    [G-ACh]       Bocci, M., Vigoureux, M., Bryant, S., "MPLS Generic
>                  Associated Channel", RFC 5586, June 2009.
>
>    [ICMP-Ext]    Bonica, R., Gan, D., Tappan, D., Pignataro, C., "ICMP
>                  Extensions for Multiprotocol Label Switching", RFC
>                  4950, August 2007.
>
>    [ICMP-Int]    Atlas, A., Bonica, R., Pignataro, C., Shen, N., Rivers,
>                  JR., "Extending ICMP for Interface and Next-Hop
>                  Identification", RFC 5837, April 2010.
>
>    [ICMP-MP]     Bonica, R., Gan, D., Tappan, D., Pignataro, C.,
>                  "Extended ICMP to Support Multi-Part Messages", RFC
>                  4884, April 2007.
>
>    [ICMPv4]      Postel, J., "Internet Control Message Protocol", STD 5,
>                  RFC 792, September 1981.
>
>    [ICMPv6]      Conta, A., Deering, S., and M. Gupta, "Internet Control
>                  Message Protocol (ICMPv6) for the Internet Protocol
>                  Version 6 (IPv6) Specification", RFC 4443, March 2006.
>
>    [IEEE802.1Q]  IEEE 802.1Q, "IEEE Standard for Local and metropolitan
>                  area networks - Media Access Control (MAC) Bridges and
>                  Virtual Bridged Local Area Networks", October 2012.
>
>    [IEEE802.3ah] IEEE 802.3, "IEEE Standard for Information technology -
>                  Local and metropolitan area networks - Carrier sense
>                  multiple access with collision detection (CSMA/CD)
>                  access method and physical layer specifications",
>                  clause 57, December 2008.
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 35]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    [IntHost]     Braden, R., "Requirements for Internet Hosts --
>                  Communication Layers", RFC 1122, October 1989.
>
>    [IPPM-1DM]    Almes, G., Kalidindi, S., Zekauskas, M., "A One-way
>                  Delay Metric for IPPM", RFC 2679, September 1999.
>
>    [IPPM-1LM]    Almes, G., Kalidindi, S., Zekauskas, M., "A One-way
>                  Packet Loss Metric for IPPM", RFC 2680, September
>                  1999.
>
>    [IPPM-2DM]    Almes, G., Kalidindi, S., Zekauskas, M., "A Round-trip
>                  Delay Metric for IPPM", RFC 2681, September 1999.
>
>    [IPPM-Con]    Mahdavi, J., Paxson, V., "IPPM Metrics for Measuring
>                  Connectivity", RFC 2678, September 1999.
>
>    [IPPM-FW]     Paxson, V., Almes, G., Mahdavi, J., and Mathis, M.,
>                  "Framework for IP Performance Metrics", RFC 2330, May
>                  1998.
>
>    [ITU-G8113.1] ITU-T Recommendation G.8113.1/Y.1372.1, "Operations,
>                  Administration and Maintenance mechanism for MPLS-TP
>                  in Packet Transport Network (PTN)", November 2012.
>
>    [ITU-G8113.2] ITU-T Recommendation G.8113.2/Y.1372.2, "Operations,
>                  administration and maintenance mechanisms for MPLS-TP
>                  networks using the tools defined for MPLS", November
>                  2012.
>
>    [ITU-T-CT]    Betts, M., "Allocation of a Generic Associated Channel
>                  Type for ITU-T MPLS Transport Profile Operation,
>                  Maintenance, and Administration (MPLS-TP OAM)", RFC
>                  6671, November 2012.
>
>    [ITU-T-G.806] ITU-T Recommendation G.806, "Characteristics of
>                  transport equipment - Description methodology and
>                  generic functionality", January 2009.
>
>    [ITU-T-Y1711] ITU-T Recommendation Y.1711, "Operation & Maintenance
>                  mechanism for MPLS networks", February 2004.
>
>    [ITU-T-Y1731] ITU-T Recommendation G.8013/Y.1731, "OAM Functions and
>                  Mechanisms for Ethernet-based Networks", July 2011.
>
>    [ITU-Terms]   ITU-R/ITU-T Terms and Definitions, online, 2013.
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 36]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    [L2TP-EC]     McGill, N. and C. Pignataro, "Layer 2 Tunneling
>                  Protocol Version 3 (L2TPv3) Extended Circuit Status
>                  Values", RFC 5641, August 2009.
>
>    [Lock-Loop]   Boutros, S., Sivabalan, S., Aggarwal, R., Vigoureux,
>                  M., Dai, X., "MPLS Transport Profile Lock Instruct and
>                  Loopback Functions", RFC 6435, November 2011.
>
>    [LSP-Ping]    Kompella, K., Swallow, G., "Detecting Multi-Protocol
>                  Label Switched (MPLS) Data Plane Failures", RFC 4379,
>                  February 2006.
>
>    [Mng]         Farrel, A., "Inclusion of Manageability Sections in
>                  Path Computation Element (PCE) Working Group Drafts",
>                  RFC 6123, February 2011.
>
>    [MPLS-LM-DM]  Frost, D., Bryant, S., "Packet Loss and Delay
>                  Measurement for MPLS Networks", RFC 6374, September
>                  2011.
>
>    [MPLS-OAM]    Nadeau, T., Morrow, M., Swallow, G., Allan, D.,
>                  Matsushima, S., "Operations and Management (OAM)
>                  Requirements for Multi-Protocol Label Switched (MPLS)
>                  Networks", RFC 4377, February 2006.
>
>    [MPLS-OAM-FW] Allan, D., Nadeau, T., "A Framework for Multi-Protocol
>                  Label Switching (MPLS) Operations and Management
>                  (OAM)", RFC 4378, February 2006.
>
>    [MPLS-P2MP]   Yasukawa, S., Farrel, A., King, D., Nadeau, T.,
>                  "Operations and Management (OAM) Requirements for
>                  Point-to-Multipoint MPLS Networks", RFC 4687,
>                  September 2006.
>
>    [MPLS-TP-OAM] Vigoureux, M., Ward, D., Betts, M., "Requirements for
>                  OAM in MPLS Transport Networks", RFC 5860, May 2010.
>
>    [NetTerms]    Jacobsen, O., Lynch, D., "A Glossary of Networking
>                  Terms", RFC 1208, March 1991.
>
>    [NetTools]    Enger, R., Reynolds, J., "FYI on a Network Management
>                  Tool Catalog: Tools for Monitoring and Debugging
>                  TCP/IP Internets and Interconnected Devices", RFC
>                  1470, June 1993.
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 37]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    [OAM-Analys]  Sprecher, N., Fang, L., "An Overview of the OAM Tool
>                  Set for  MPLS based Transport Networks", RFC 6669,
>                  July 2012.
>
>    [OAM-Def]     Andersson, L., Van Helvoort, H., Bonica, R., Romascanu,
>                  D., Mansfield, S., "Guidelines for the use of the OAM
>                  acronym in the IETF ", RFC 6291, June 2011.
>
>    [OAM-Label]   Ohta, H., "Assignment of the 'OAM Alert Label' for
>                  Multiprotocol Label Switching Architecture (MPLS)
>                  Operation and Maintenance (OAM) Functions", RFC 3429,
>                  November 2002.
>
>    [OnDemand-CV] Gray, E., Bahadur, N., Boutros, S., Aggarwal, R. "MPLS
>                  On-Demand Connectivity Verification and Route
>                  Tracing", RFC 6426, November 2011.
>
>    [OWAMP]       Shalunov, S., Teitelbaum, B., Karp, A., Boote, J., and
>                  Zekauskas, M., "A One-way Active Measurement Protocol
>                  (OWAMP)", RFC 4656, September 2006.
>
>    [PARIS]       Brice Augustin, Timur Friedman and Renata Teixeira,
>                  "Measuring Load-balanced Paths in the Internet", IMC,
>                  2007.
>
>    [PM-CONS]     Clark, A. and B. Claise, "Guidelines for Considering
>                  New Performance Metric Development", BCP 170, RFC
>                  6390, October 2011.
>
>    [PW-ACH]      Bryant, S., Swallow, G., Martini, L., McPherson, D.,
>                  "Pseudowire Emulation Edge-to-Edge (PWE3) Control Word
>                  for Use over an MPLS PSN", RFC 4385, February 2006.
>
>    [PW-G-ACh]    Li, H., Martini, L., He, J., Huang, F., "Using the
>                  Generic Associated Channel Label for Pseudowire in the
>                  MPLS Transport Profile (MPLS-TP)", RFC 6423, November
>                  2011.
>
>    [PW-MAP]      Aissaoui, M., Busschbach, P., Martini, L., Morrow, M.,
>                  Nadeau, T., and Y(J). Stein, "Pseudowire (PW)
>                  Operations, Administration, and Maintenance (OAM)
>                  Message Mapping", RFC 6310, July 2011.
>
>    [PW-Map]      M. Aissaoui, P. Busschbach, L. Martini, M. Morrow, T.
>                  Nadeau, "Pseudowire (PW) Operations, Administration,
>                  and Maintenance (OAM) Message Mapping", RFC 6310, July
>                  2011.
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 38]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    [Reorder]     Morton, A., Ciavattone, L., Ramachandran, G., Shalunov,
>                  S., and J. Perser, "Packet Reordering Metrics", RFC
>                  4737, November 2006.
>
>    [Signal]      Yasukawa, S., "Signaling Requirements for Point-to-
>                  Multipoint Traffic-Engineered MPLS Label Switched
>                  Paths (LSPs)", RFC 4461, April 2006.
>
>    [TCPIP-Tools] Kessler, G., Shepard, S., "A Primer On Internet and
>                  TCP/IP Tools and Utilities", RFC 2151, June 1997.
>
>    [TP-CC-CV]    Allan, D., Swallow, G., Drake, J., "Proactive
>                  Connectivity Verification, Continuity Check and Remote
>                  Defect indication for MPLS Transport Profile", RFC
>                  6428, November 2011.
>
>    [TP-Fault]    Swallow, G., Fulignoli, A., Vigoureux, M., Boutros, S.,
>                  "MPLS Fault Management Operations, Administration, and
>                  Maintenance (OAM)", RFC 6427, November 2011.
>
>    [TP-LM-DM]    Frost, D., Bryant, S., "A Packet Loss and Delay
>                  Measurement Profile for MPLS-Based Transport
>                  Networks", RFC 6375, September 2011.
>
>    [TP-OAM-FW]   Busi, I., Allan, D., "Operations, Administration and
>                  Maintenance Framework for MPLS-based Transport
>                  Networks ", RFC 6371, September 2011.
>
>    [TP-Term]     Van Helvoort, H., Andersson, L., Sprecher, N., "A
>                  Thesaurus for the Terminology used in Multiprotocol
>                  Label Switching Transport Profile (MPLS-TP)
>                  drafts/RFCs and ITU-T's Transport Network
>                  Recommendations", work-in-progress, draft-ietf-mpls-
>                  tp-rosetta-stone, July 2012.
>
>    [TRILL-OAM]   Senevirathne, T., Bond, D., Aldrin, S., Li, Y., Watve,
>                  R., "Requirements for Operations, Administration, and
>                  Maintenance (OAM) in Transparent Interconnection of
>                  Lots of Links (TRILL)", RFC 6905, March 2013.
>
>    [TWAMP]       Hedayat, K., Krzanowski, R., Morton, A., Yum, K., and
>                  Babiarz, J., "A Two-Way Active Measurement Protocol
>                  (TWAMP)", RFC 5357, October 2008.
>
>    [VCCV]        Nadeau, T., Pignataro, C., "Pseudowire Virtual Circuit
>                  Connectivity Verification (VCCV): A Control Channel
>                  for Pseudowires", RFC 5085, December 2007.
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 39]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    [VCCV-SURVEY] Del Regno, N., Malis, A., "The Pseudowire (PW) &
>                  Virtual Circuit Connectivity Verification (VCCV)
>                  Implementation Survey Results", work-in-progress,
> draft-ietf-pwe3-vccv-impl-survey-results, August 2013.
>
>
>
> Appendix A.                 List of OAM Documents
>
> SB> My feeling is that this material would be better locate don a Wiki
>
> A.1. List of IETF OAM Documents
>
>    Table 5 summarizes the OAM related RFCs published by the IETF.
>
>    It is important to note that the table lists various RFCs that are
>    different by nature. For example, some of these documents define OAM
>    tools or OAM protocols (or both), while others define protocols that
>    are not strictly OAM-related, but are used by OAM tools. The table
>    also includes RFCs that define the requirements or the framework of
>    OAM in a specific context (e.g., MPLS-TP).
>
>    The RFCs in the table are categorized in a few sets as defined in
>    Section 1.3.
>
> +-----------+--------------------------------------+----------+
>    | Category  | Title                                | RFC      |
> +-----------+--------------------------------------+----------+
>    |IP Ping    | Requirements for Internet Hosts --   | RFC 1122 |
>    |           | Communication Layers [IntHost] |          |
>    | +--------------------------------------+----------+
>    |           | A Glossary of Networking Terms       | RFC 1208 |
>    |           | [NetTerms] |          |
>    | +--------------------------------------+----------+
>    |           | Internet Control Message Protocol    | RFC 792  |
>    |           | [ICMPv4] |          |
>    | +--------------------------------------+----------+
>    |           | Internet Control Message Protocol    | RFC 4443 |
>    |           | (ICMPv6) for the Internet Protocol |          |
>    |           | Version 6 (IPv6) Specification |          |
>    |           | [ICMPv6] |          |
> +-----------+--------------------------------------+----------+
>    |IP         | A Primer On Internet and TCP/IP      | RFC 2151 |
>    |Traceroute | Tools and Utilities [TCPIP-Tools] |          |
>    | +--------------------------------------+----------+
>    |           | FYI on a Network Management Tool     | RFC 1470 |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 40]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |           | Catalog: Tools for Monitoring and |          |
>    |           | Debugging TCP/IP Internets and |          |
>    |           | Interconnected Devices [NetTools] |          |
>    | +--------------------------------------+----------+
>    |           | Internet Control Message Protocol    | RFC 792  |
>    |           | [ICMPv4] |          |
>    | +--------------------------------------+----------+
>    |           | Internet Control Message Protocol    | RFC 4443 |
>    |           | (ICMPv6) for the Internet Protocol |          |
>    |           | Version 6 (IPv6) Specification |          |
>    |           | [ICMPv6] |          |
>    | +--------------------------------------+----------+
>    |           | Extended ICMP to Support Multi-Part  | RFC 4884 |
>    |           | Messages [ICMP-MP] |          |
>    | +--------------------------------------+----------+
>    |           | Extending ICMP for Interface and     | RFC 5837 |
>    |           | Next-Hop Identification [ICMP-Int] |          |
> +-----------+--------------------------------------+----------+
>    |BFD        | Bidirectional Forwarding Detection   | RFC 5880 |
>    |           | [BFD] |          |
>    | +--------------------------------------+----------+
>    |           | Bidirectional Forwarding Detection   | RFC 5881 |
>    |           | (BFD) for IPv4 and IPv6 (Single Hop) |          |
>    |           | [BFD-IP] |          |
>    | +--------------------------------------+----------+
>    |           | Generic Application of Bidirectional | RFC 5882 |
>    |           | Forwarding Detection [BFD-Gen] |          |
>    | +--------------------------------------+----------+
>    |           | Bidirectional Forwarding Detection   | RFC 5883 |
>    |           | (BFD) for Multihop Paths [BFD-Multi] |          |
>    | +--------------------------------------+----------+
>    |           | Bidirectional Forwarding Detection   | RFC 5884 |
>    |           | for MPLS Label Switched Paths (LSPs) |          |
>    |           | [BFD-LSP] |          |
>    | +--------------------------------------+----------+
>    |           | Bidirectional Forwarding Detection   | RFC 5885 |
>    |           | for the Pseudowire Virtual Circuit |          |
>    |           | Connectivity Verification (VCCV) |          |
>    |           | [BFD-VCCV] |          |
> +-----------+--------------------------------------+----------+
>    |MPLS OAM   | Operations and Management (OAM)      | RFC 4377 |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 41]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |           | Requirements for Multi-Protocol Label|          |
>    |           | Switched (MPLS) Networks [MPLS-OAM] |          |
>    | +--------------------------------------+----------+
>    |           | A Framework for Multi-Protocol       | RFC 4378 |
>    |           | Label Switching (MPLS) Operations |          |
>    |           | and Management (OAM) [MPLS-OAM-FW] |          |
>    | +--------------------------------------+----------+
>    |           | Detecting Multi-Protocol Label       | RFC 4379 |
>    |           | Switched (MPLS) Data Plane Failures |          |
>    |           | [LSP-Ping] |          |
>    | +--------------------------------------+----------+
>    |           | Operations and Management (OAM)      | RFC 4687 |
>    |           | Requirements for Point-to-Multipoint |          |
>    |           | MPLS Networks [MPLS-P2MP] |          |
>    | +--------------------------------------+----------+
>    |           | ICMP Extensions for Multiprotocol    | RFC 4950 |
>    |           | Label Switching [ICMP-Ext] |          |
> +-----------+--------------------------------------+----------+
>    |MPLS-TP    | Requirements for OAM in MPLS-TP      | RFC 5860 |
>    |OAM        | [MPLS-TP-OAM] |          |
>    | +--------------------------------------+----------+
>    |           | MPLS Generic Associated Channel      | RFC 5586 |
>    |           | [G-ACh] |          |
>    | +--------------------------------------+----------+
>    |           | MPLS-TP OAM Framework                | RFC 6371 |
>    |           | [TP-OAM-FW] |          |
>    | +--------------------------------------+----------+
>    |           | Proactive Connectivity Verification, | RFC 6428 |
>    |           | Continuity Check, and Remote Defect |          |
>    |           | Indication for the MPLS Transport |          |
>    |           | Profile [TP-CC-CV] |          |
>    | +--------------------------------------+----------+
>    |           | MPLS On-Demand Connectivity          | RFC 6426 |
>    |           | Verification and Route Tracing |          |
>    |           | [OnDemand-CV] |          |
>    | +--------------------------------------+----------+
>    |           | MPLS Fault Management Operations,    | RFC 6427 |
>    |           | Administration, and Maintenance (OAM)|          |
>    |           | [TP-Fault] |          |
>    | +--------------------------------------+----------+
>    |           | MPLS Transport Profile Lock Instruct | RFC 6435 |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 42]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |           | and Loopback Functions [Lock-Loop] |          |
>    | +--------------------------------------+----------+
>    |           | Packet Loss and Delay Measurement for| RFC 6374 |
>    |           | MPLS Networks [MPLS-LM-DM] |          |
>    | +--------------------------------------+----------+
>    |           | A Packet Loss and Delay Measurement  | RFC 6375 |
>    |           | Profile for MPLS-Based Transport |          |
>    |           | Networks [TP-LM-DM] |          |
> +-----------+--------------------------------------+----------+
>    |Pseudowire | Pseudowire Virtual Circuit           | RFC 5085 |
>    |OAM        | Connectivity Verification (VCCV): |          |
>    |           | A Control Channel for Pseudowires |          |
>    |           | [VCCV] |          |
>    | +--------------------------------------+----------+
>    |           | Bidirectional Forwarding Detection   | RFC 5885 |
>    |           | for the Pseudowire Virtual Circuit |          |
>    |           | Connectivity Verification (VCCV) |          |
>    |           | [BFD-VCCV] |          |
>    | +--------------------------------------+----------+
>    |           | Using the Generic Associated Channel | RFC 6423 |
>    |           | Label for Pseudowire in the MPLS |          |
>    |           | Transport Profile (MPLS-TP) |          |
>    |           | [PW-G-ACh] |          |
>    | +--------------------------------------+----------+
>    |           | Pseudowire (PW) Operations,          | RFC 6310 |
>    |           | Administration, and Maintenance (OAM)|          |
>    |           | Message Mapping [PW-Map] |          |
> +-----------+--------------------------------------+----------+
>    |OWAMP and  | A One-way Active Measurement Protocol| RFC 4656 |
>    |TWAMP      | [OWAMP] |          |
>    | +--------------------------------------+----------+
>    |           | A Two-Way Active Measurement Protocol| RFC 5357 |
>    |           | [TWAMP] |          |
>    | +--------------------------------------+----------+
>    |           | Framework for IP Performance Metrics | RFC 2330 |
>    |           | [IPPM-FW] |          |
>    | +--------------------------------------+----------+
>    |           | IPPM Metrics for Measuring           | RFC 2678 |
>    |           | Connectivity [IPPM-Con] |          |
>    | +--------------------------------------+----------+
>    |           | A One-way Delay Metric for IPPM      | RFC 2679 |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 43]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |           | [IPPM-1DM] |          |
>    | +--------------------------------------+----------+
>    |           | A One-way Packet Loss Metric for IPPM| RFC 2680 |
>    |           | [IPPM-1LM] |          |
>    | +--------------------------------------+----------+
>    |           | A Round-trip Delay Metric for IPPM   | RFC 2681 |
>    |           | [IPPM-2DM] |          |
>    | +--------------------------------------+----------+
>    |           | Packet Reordering Metrics            | RFC 4737 |
>    |           | [Reorder] |          |
>    | +--------------------------------------+----------+
>    |           | A One-Way Packet Duplication Metric  | RFC 5560 |
>    |           | [Dup] |          |
> +-----------+--------------------------------------+----------+
>    |TRILL OAM  | Requirements for Operations,         | RFC 6905 |
>    |           | Administration, and Maintenance (OAM)|          |
>    |           | in Transparent Interconnection of |          |
>    |           | Lots of Links (TRILL) |          |
> +-----------+--------------------------------------+----------+
>                  Table 5 Summary of IETF OAM Related RFCs
>
> A.2. List of Selected Non-IETF OAM Documents
>
>    In addition to the OAM tools defined by the IETF, the IEEE and ITU-T
>    have also defined various OAM tools that focus on Ethernet, and
>    various other transport network environments. These various tools,
>    defined by the three standard organizations, are often tightly
>    coupled, and have had a mutual effect on each other. The ITU-T and
>    IETF have both defined OAM tools for MPLS LSPs, [ITU-T-Y1711] and
>    [LSP-Ping]. The following OAM standards by the IEEE and ITU-T are to
>    some extent linked to IETF OAM tools listed above and are mentioned
>    here only as reference material:
>
>    o OAM tools for Layer 2 have been defined by the ITU-T in
>       [ITU-T-Y1731], and by the IEEE in 802.1ag [IEEE802.1Q] . The IEEE
>       802.3 standard defines OAM for one-hop Ethernet links
>       [IEEE802.3ah].
>
>    o The ITU-T has defined OAM for MPLS LSPs in [ITU-T-Y1711], and
>       MPLS-TP OAM in [ITU-G8113.1] and [ITU-G8113.2].
>
>    It should be noted that these non-IETF documents deal in many cases
>    with OAM functions below the IP layer (Layer 2, Layer 2.5) and in
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 44]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    some cases operators use a multi-layered OAM approach, which is a
>    function of the way their networks are designed.
>
>    Table 6 summarizes some of the main OAM standards published by non-
>    IETF standard organizations. This document focuses on IETF OAM
>    standards, but these non-IETF standards are referenced in this
>    document where relevant.
>
> +-----------+--------------------------------------+---------------+
>    |           | Title |Standard/Draft |
> +-----------+--------------------------------------+---------------+
>    |ITU-T      | Operation & Maintenance mechanism    | ITU-T Y.1711  |
>    |MPLS OAM   | for MPLS networks [ITU-T-Y1711] |               |
>    | +--------------------------------------+---------------+
>    |           | Assignment of the 'OAM Alert Label'  | RFC 3429      |
>    |           | for Multiprotocol Label Switching |               |
>    |           | Architecture (MPLS) Operation and |               |
>    |           | Maintenance (OAM) Functions |               |
>    |           | [OAM-Label] |               |
>    |           | |               |
>    |           |  Note: although this is an IETF |               |
>    |           |  document, it is listed as one of the|               |
>    |           |  non-IETF OAM standards, since it |               |
>    |           |  was defined as a complementary part |               |
>    |           |  of ITU-T Y.1711. |               |
> +-----------+--------------------------------------+---------------+
>    |ITU-T      | Operations, administration and |ITU-T G.8113.2 |
>    |MPLS-TP OAM| Maintenance mechanisms for MPLS-TP |               |
>    |           | networks using the tools defined for |               |
>    |           | MPLS [ITU-G8113.2] |               |
>    |           | |               |
>    |           |  Note: this document describes the |               |
>    |           |  OAM toolset defined by the IETF for |               |
>    |           |  MPLS-TP, whereas ITU-T G.8113.1 |               |
>    |           |  describes the OAM toolset defined |               |
>    |           |  by the ITU-T. |               |
>    | +--------------------------------------+---------------+
>    |           | Operations, Administration and |ITU-T G.8113.1 |
>    |           | Maintenance mechanism for MPLS-TP in |               |
>    |           | Packet Transport Network (PTN) |               |
>    | +--------------------------------------+---------------+
>    |           | Allocation of a Generic Associated   | RFC 6671      |
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 45]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>    |           | Channel Type for ITU-T MPLS Transport|               |
>    |           | Profile Operation, Maintenance, and |               |
>    |           | Administration (MPLS-TP OAM) |               |
>    |           | [ITU-T-CT] |               |
>    |           | |               |
>    |           |  Note: although this is an IETF |               |
>    |           |  document, it is listed as one of the|               |
>    |           |  non-IETF OAM standards, since it |               |
>    |           |  was defined as a complementary part |               |
>    |           |  of ITU-T G.8113.1. |               |
> +-----------+--------------------------------------+---------------+
>    |ITU-T      | OAM Functions and Mechanisms for     | ITU-T Y.1731  |
>    |Ethernet   | Ethernet-based Networks |               |
>    |OAM        | [ITU-T-Y1731] |               |
> +-----------+--------------------------------------+---------------+
>    |IEEE       | Connectivity Fault Management        | IEEE 802.1ag  |
>    |CFM        | [IEEE802.1Q] |               |
>    |           | |               |
>    |           |  Note: CFM was originally published |               |
>    |           |  as IEEE 802.1ag, but is now |               |
>    |           |  incorporated in the 802.1Q standard.|               |
> +-----------+--------------------------------------+---------------+
>    |IEEE       | Management of Data Driven and Data   | IEEE 802.1ag  |
>    |DDCFM      | Dependent Connectivity Faults |               |
>    |           | [IEEE802.1Q] |               |
>    |           | |               |
>    |           |  Note: DDCFM was originally published|               |
>    |           |  as IEEE 802.1Qaw, but is now |               |
>    |           |  incorporated in the 802.1Q standard.|               |
> +-----------+--------------------------------------+---------------+
>    |IEEE       | Media Access Control Parameters,     | IEEE 802.3ah  |
>    |802.3      | Physical Layers, and Management |               |
>    |link level | Parameters for Subscriber Access |               |
>    |OAM        | Networks [IEEE802.3ah] |               |
>    |           | |               |
>    |           |  Note: link level OAM was originally |               |
>    |           |  defined in IEEE 802.3ah, and is now |               |
>    |           |  incorporated in the 802.3 standard. |               |
> +-----------+--------------------------------------+---------------+
>          Table 6 Non-IETF OAM Standards Mentioned in this Document
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 46]
> 
> Internet-Draft          Overview of OAM Tools             October 2013
>
>
>
>
> Authors' Addresses
>
>    Tal Mizrahi
>    Marvell
>    6 Hamada St.
>    Yokneam, 20692
>    Israel
>
>    Email: [email-masked]
>
>
>    Nurit Sprecher
>    Nokia Siemens Networks
>    3 Hanagar St. Neve Ne'eman B
>    Hod Hasharon,   45241
>    Israel
>
>    Email: [email-masked]
>
>
>    Elisa Bellagamba
>    Ericsson
>    6 Farogatan St.
>    Stockholm,   164 40
>    Sweden
>
>    Phone: +46 761440785
>    Email: [email-masked]
>
>
>    Yaacov Weingarten
>    34 Hagefen St.
>    Karnei Shomron,   4485500
>    Israel
>
>    Email: [email-masked]
>
>
>
>
>
>
>
>
>
>
> Mizrahi, et al.        Expires April 21, 2014                [Page 47]
> 
>
>
>
> On 17/10/2013 22:46, Tal Mizrahi wrote:
>>
>> Hi Benoit, Stewart,
>>
>> Thanks foryour effort to review the draft and for the comments you 
>> sent.We highly appreciate it, and it has helped to significantly 
>> improve the document.
>>
>> We believe we resolved the most significant issue, which is to 
>> accurately and clearly define the scope and target audience, and to 
>> align the scope description to the actual content of the document.
>>
>> The main purpose of this mail is to make sure we resolvedyour 
>> comments before we re-submit the draft and proceed with the request 
>> for feedback from the OPSA WG and the routing area WG.
>>
>> Here is a list of modifications we made following your comments:
>>
>> 1.The most significant comment, from both Stewart and Benoit was 
>> about aligning expectations between the content of the document and 
>> the goal, target audience, and scope:
>> We clarified the **scope** and the **target audience** in the 
>> abstract and at the very beginning of the Introduction.
>> Scope: about 2 years ago we had a lot of discussions about the scope 
>> of the document, and based on Ron Bonica's advice we defined the 
>> current scope. Mainly, as Ron said, we had to draw the line 
>> **somewhere** and no matter where we drew the line someone would have 
>> objections. One of the things we decided then, based on feedback from 
>> Stewart/Sasha was to removed descriptions of ITU-T and IEEE OAM 
>> protocols.
>> I agree with both your comments that the scope was not crystal clear 
>> so far, and thus we have clarified the scope in the current draft:
>>
>> -The draft does not include **all** OAM activity in the IETF, but 
>> only IP unicast, MPLS, pseudowires, MPLS-TP, and TRILL.
>>
>> -Focus on data-plane.
>>
>> 2.Following a comment from Stewart: we added a subsection about 
>> connection oriented vs. connectionless technologies, and point to 
>> point vs point to multipoint.
>>
>> 3.Following a comment from Stewart, Benoit: We clarified the text 
>> that explains the scope of OAM (in the introduction) based on RFC 6291.
>>
>> 4.Following a comment from Benoit: We added an explicit quote of the 
>> OAM definition from RFC 6291.
>>
>> 5.Following a comment from Stewart, Benoit: We changed the 
>> definitions of control plane and data plane with Stewart's help.
>>
>> 6.Following a comment from Stewart: we changed the definitions of OAM 
>> functions and OAM tools.
>> Another comment from Stewart was that the terms 'tool' and 
>> 'mechanism' were used interchangeably in an inaccurate way. We 
>> replaced all the potentially confusing instances of 'mechanism' by 
>> 'tool'.
>>
>> 7.Following a comment from Benoit: you have commented about the term 
>> 'transport technology'. We completely removed this term from the 
>> document.
>>
>> We are sending a word document with tracked changes compared to the 
>> draft we sent you on the 17^th of September.
>>
>> We plan to submit an updated draft before the 21^st of October deadline.
>>
>> We will highly appreciate your comments.
>>
>> Thanks,
>>
>> Tal.
>>
>> *From:*Benoit Claise [mailto:[email-masked]]
>> *Sent:* Tuesday, October 08, 2013 4:46 PM
>> *To:* [email-masked]; Scott O. 
>> Bradner; [email-masked]; Joel jaeggli
>> *Cc:* Stewart Bryant; Adrian Farrel; me
>> *Subject:* draft-ietf-opsawg-oam-overview status
>>
>> Dear all,
>>
>> Tal asked me to discuss the draft-ietf-opsawg-oam-overview draft status.
>>
>> For the sake of transparency, let me share my message with everybody.
>> I copied the document authors, Scott Bradner as the document 
>> shepherd, the OPSAWG-chairs, and the routing ADs (Stewart and Adrian)
>>
>> Stewart, as the last DISCUSS holder (btw 2011) and Tal had a conf. call
>>     Five or six minor issues
>>     Two major issues:
>>         1. Huge task, large scope going over all IETF protocols
>>         2. Must speak with your responsible AD
>>
>> I sent back this document to the WG. See 
>> http://www.ietf.org/mail-archive/web/opsawg/current/msg02931.html
>>
>> Tal and I discussed:
>> - The comparison with RFC6632, which is a overview with claear 
>> objectives and target audience
>>    The OAM document is somehow the companion document to RFC 6632
>>
>> - This document has got a  bigger task that the authors apparently 
>> thought it would be
>>
>> - The document goal and audience are not clearly defined (actually 
>> it's spread all over the place)
>>   Who will want to be reading this document? What for?
>>
>> Section 1 Introduction:
>>     This document summarizes the OAM tools and mechanisms defined in the
>>     IETF. This document focuses on data plane OAM tools. Hence, control
>>     and management aspects of OAM are outside the scope of this document.
>>
>> Section 1.2 Target Audience is key
>> Section 1.3 OAM-related Work in the IETF
>>
>>     This memo provides an overview of the different sets of OAM
>>     mechanisms defined by the IETF. The set of OAM mechanisms described
>>     in this memo are applicable to IP unicast, MPLS, pseudowires, MPLS
>>     for the transport profile (MPLS-TP), and TRILL. While OAM mechanisms
>>     that are applicable to other technologies exist, they are beyond the
>>     scope of this memo.
>>
>> Why not others?
>> Section 1.4 Focusing on Data Plane OAM Tools
>>
>>     The considerations of the control plane maintenance tools and the
>>     functionality of the management plane are out of scope for this
>>     document, which concentrates on presenting the data plane tools that
>>     are used for OAM.
>>
>> You see, it's not clear from the beginning (the abstract) what the 
>> focus is, who is the audience, and what the document goals are: there 
>> are pieces of it all over the place.
>>
>>  The overview of all OAM protocols in the IETF is a moving target.
>>  You need a lot of energy to finish this document, and you must be 
>> quick (moving target)
>>
>> - Do you want to classify the different OAM techniques as we did for 
>> RFC 6632, based on different criteria s?  We had a clear audience in 
>> mind when creating RFC 6632. For example, if you look which 
>> protocol(s) might be of interest to you, see
>>
>>       A.1  <http://tools.ietf.org/html/rfc6632#appendix-A.1>. Protocols Classified by Standards Maturity in the IETF .....77  <http://tools.ietf.org/html/rfc6632#page-77>
>>       A.2  <http://tools.ietf.org/html/rfc6632#appendix-A.2>. Protocols Matched to Management Tasks ......................79  <http://tools.ietf.org/html/rfc6632#page-79>
>>       A.3  <http://tools.ietf.org/html/rfc6632#appendix-A.3>. Push versus Pull Mechanism .................................80  <http://tools.ietf.org/html/rfc6632#page-80>
>>       A.4  <http://tools.ietf.org/html/rfc6632#appendix-A.4>. Passive versus Active Monitoring ...........................80  <http://tools.ietf.org/html/rfc6632#page-80>
>>       A.5  <http://tools.ietf.org/html/rfc6632#appendix-A.5>. Supported Data Model Types and Their Extensibility  ........81  <http://tools.ietf.org/html/rfc6632#page-81>
>>
>>
>>
>> - The advice is to present during the OPSAWG to get some feedback 
>> regarding the direction (focus, document goal, and target audience) 
>> for this document: reduce scope versus cover all the OAM features in 
>> the IETF?
>> Also, the same talk should be done at the Routing Area (Stewart 
>> agreed to find some time for it). Actually, the feedback from the 
>> routing guys is even more important, as they are the guys specifying 
>> OAM techniques. So they will be the readers for this document (I guess)
>>
>>
>> SOME MORE FEEDBACK
>>
>>   
>>                       +--------------+------------+
>>                       | Category     | Transport  |
>>                       |              | Technology |
>>                       +--------------+------------+
>>                       |IP Ping       | IPv4/IPv6  |
>>                       +--------------+------------+
>>                       |IP Traceroute | IPv4/IPv6  |
>>                       +--------------+------------+
>>                       |BFD           | generic    |
>>                       +--------------+------------+
>>                       |MPLS OAM      | MPLS       |
>>                       +--------------+------------+
>>                       |MPLS-TP OAM   | MPLS-TP    |
>>                       +--------------+------------+
>>                       |Pseudowire OAM| Pseudowires|
>>                       +--------------+------------+
>>                       |OWAMP and     | IPv4/IPv6  |
>>                       |TWAMP         |            |
>>                       +--------------+------------+
>>                       |TRILL OAM     | TRILL      |
>>                       +--------------+------------+
>>                Table 1 Categories of OAM-related IETF Documents
>>
>> You should define what you mean by transport technology. It's not L4
>>
>> - Terminology
>>
>> It's key to have an OAM definition.
>> It's true that you mentioned earlier:
>>
>>     There are several different interpretations to the "OAM" acronym.
>>     This document refers to Operations, Administration and Maintenance,
>>     as recommended in [OAM-Def].
>>
>> However, cut and paste the definition.
>>
>> Same remark for some other definitions. For example
>>
>>     Control Plane
>>   
>>     The Control Plane, as described in [Cont], is generally described as
>>     the hardware and software components for handling packets destined to
>>     the device itself as well as building and sending packets originated
>>     locally on the device.
>>
>> If it's a described in [cont], then copy it verbatim
>>
>> - It's good that a single document contains the definitions of 
>> control plane, data plane and management plane.
>>
>> - I stopped my review at the end of section 2
>>
>> Regards, Benoit
>>
>>
>
>
> -- 
> For corporate legal information go to:
>
> http://www.cisco.com/web/about/doing_business/legal/cri/index.html
>